# eSASS for the eROSITA Data Release 1: Feb 2023
# based on the internal eSASSuser_211214 patch 5
# Alain Gueguen for the eSASS Team Feb 2023.
#
# example installation
# This folder can be installed in any convenient location:
# for example
# /usr/local /opt for a multi-user installation
# $HOME/bin or $HOME/Application/ for single-user installation

# after activating headas and compiling HEALPix
# set the environment variables
# HEADAS to the  heasoft installation folder
# HEALPIX on the Healpix 3.5 installation folder

cd eSASS/autoconf/
autoreconf -fi -v
./configure --with-healpix=$HEALPIX \
  --with-gsl=compile --with-caldb=/<path to caldb>/caldb/
make
make install

#If lapack is installed on your system, the option --with-lapack=compile can be omitted
#we strongly suggest installing fftw-3  on your system for all the precisions. It can also be manually compiled (check the script in eSASS/script)

# some scripts can be found in eSASS/scripts/  (see the readme file in eSASS/script/)
