#
# Script to compile fftw 3.3.8 for the 3 precisions, 2 of them used by eSASS tasks on October 2021
# when the fftw libraries are not available at the system level 
##
# this script must be launched from the autoconf folder of the esass distribution after controling that 
# a fftw-3.3.8 folder exist in  external.
# the fftw tarball can be downloaded from the official fftw.org web site :
# http://fftw.org/
# and should be unpacked in the external subfolder
# when this script is used, theoption 
# --with-fftw=/fftw/full/installation/path/ 
# should be added to the main configure option of the eSASS installation

# Author : Alain Gueguen agueguen@mpe.mpg.de

FOLDERSTART=$PWD
cd external/fftw-3.3.8
LIBFOLD=libprecision
mkdir $LIBFOLD
echo "### Default precision ###"
make clean
autoreconf -fi
./configure
make
cp -r .libs $LIBFOLD/
cp libfft* $LIBFOLD/
make clean
echo "### Enable Float ###"
autoreconf -fi
./configure --enable-float
make
cp -r .libs $LIBFOLD/
cp libfft* $LIBFOLD/
make clean 
echo "### enable long double ###"
autoreconf -fi 
./configure --enable-long-double
make
cp -r .libs $LIBFOLD/
cp libfft* $LIBFOLD/
cd $FOLDERSTART
echo $LIBFOLD
