INCFLAGS=-I@top_builddir@/external/pil

# link to pil
PILLD=@top_builddir@/external/pil/libpil.la

# link to slatec
SLATECLD=@top_builddir@/external/slatec/libslatec.la

# link to dierckx
DIERCKXLD=@top_builddir@/external/dierckx/libdierckx.la

# link to fftw
FFTWLD=@top_builddir@/external/fftws/libfftw3f.la @top_builddir@/external/fftwd/libfftw3.la

# link to lapack
LAPACKLD=@top_builddir@/external/lapack/src/lapack/liblapack.la \
	 @top_builddir@/external/lapack/src/blas/librefblas.la \
	 @top_builddir@/external/lapack/src/matgen/libtmglib.la

# link to gsl
GSLLD=@top_builddir@/external/gsl-2.6/libgsl.la @top_builddir@/external/gsl-2.6/cblas/libgslcblas.la


# All libraries which have to be linked
ALLLD=$(PILLD) $(SLATECLD) $(DIERCKXLD)
if COMPILE_LAPACK
ALLLD+=$(LAPACKLD)
endif
#if COMPILE_FFTW
#ALLLD+=$(FFTWLD)
#endif
if COMPILE_GSL
INCFLAGS+=-I@top_srcdir@/external/gsl-2.6
ALLLD+=$(GSLLD)
endif

AM_CFLAGS=$(INCFLAGS)
AM_FCFLAGS=$(INCFLAGS)
AM_FFLAGS=$(INCFLAGS)

TASK="$$(basename $$(pwd))"
SRCDIR="@top_srcdir@/task/$(TASK)"
VERSION:
	rm -f VERSION
	ln -s $(SRCDIR)/VERSION

version.for: VERSION
	echo  "      function version()" > $@
	echo  "      character*64 version" >> $@
	echo  "      version='$$(echo $$(cat VERSION)) $(PACKAGE_VERSION) "$$(date '+%b %d %H:%M:%S %Y')"'" >> $@
	echo  "      return" >> $@
	echo  "      end" >> $@

version.f90: VERSION
	echo  "      function version()" > $@
	echo  "      character*64 version" >> $@
	echo  "      version='$$(echo $$(cat VERSION)) $(PACKAGE_VERSION) "$$(date '+%b %d %H:%M:%S %Y')"'" >> $@
	echo  "      return" >> $@
	echo  "      end" >> $@


pardir=@prefix@/par


CLEANFILES=VERSION version.for version.f90 *.mod

tasksrc=@top_srcdir@/task
libbuild=@top_builddir@/libraries
binbuild=@top_builddir@/binaries

paramsrc=$(tasksrc)/param
parambuild=$(libbuild)/param
astrolibsrc=$(tasksrc)/astrolib
astrolibbuild=$(libbuild)/astrolib
generalsrc=$(tasksrc)/general
generalbuild=$(libbuild)/general
eroiosrc=$(tasksrc)/eroio
eroiobuild=$(libbuild)/eroio
calsrc=$(tasksrc)/cal
calbuild=$(libbuild)/cal
radec2xysrc=$(tasksrc)/radec2xy
radec2xybuild=$(libbuild)/radec2xy
gtcalbuild=$(libbuild)/gtcal
gtcalsrc=$(tasksrc)/gtcal
srctoolbuild=$(libbuild)/srctool
srctoolsrc=$(tasksrc)/srctool
erolibbuild=$(libbuild)/erolib
erolibsrc=$(tasksrc)/erolib
evtoolbuild=$(libbuild)/evtool
evtoolsrc=$(tasksrc)/evtool
shapelibbuild=$(libbuild)/shapelib
shapelibsrc=$(tasksrc)/shapelib
expmapbuild=$(libbuild)/expmap
expmapsrc=$(tasksrc)/expmap
erbackmapbuild=$(libbuild)/erbackmap
erbackmapsrc=$(tasksrc)/erbackmap
ermldetbuild=$(libbuild)/ermldet
ermldetsrc=$(tasksrc)/ermldet
catprepbuild=$(libbuild)/catprep
catprepsrc=$(tasksrc)/catprep
erboxbuild=$(libbuild)/erbox
erboxsrc=$(tasksrc)/erbox
ermaskbuild=$(libbuild)/ermask
ermasksrc=$(tasksrc)/ermask
procbuild=$(libbuild)/proc
procsrc=$(tasksrc)/proc
evattbuild=$(libbuild)/evatt
evattsrc=$(tasksrc)/evatt
onetoolsbuild=$(libbuild)/onetools
onetoolssrc=$(tasksrc)/onetools
evprepbuild=$(libbuild)/evprep
evprepsrc=$(tasksrc)/evprep
flaregtibuild=$(libbuild)/flaregti
flaregtisrc=$(tasksrc)/flaregti
patternbuild=$(libbuild)/pattern
patternsrc=$(tasksrc)/pattern
energybuild=$(libbuild)/energy
energysrc=$(tasksrc)/energy
telbuild=$(libbuild)/tel
telsrc=$(tasksrc)/tel
telattbuild=$(libbuild)/telatt
telattsrc=$(tasksrc)/telatt
apetoolbuild=$(libbuild)/apetool
apetoolsrc=$(tasksrc)/apetool
ersensmapbuild=$(libbuild)/ersensmap
ersensmapsrc=$(tasksrc)/ersensmap
