! Copyright (C) 2019-2023:
!   Max Planck Institut fuer extraterrestrische Physik (MPE)
!   Leibniz Institute for Astrophysics Potsdam (AIP)
!
! This file is part of eROSITA's Science Analysis Software System
! (eSASS) (https://erosita.mpe.mpg.de/). It is free software; you can
! redistribute it and/or modify it under the terms of the GNU General
! Public License as published by the Free Software Foundation; either
! version 2 of the License, or (at your option) any later version.
!
! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
! General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with this library; if not, write to the Free Software
! Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
! USA, or see https://www.gnu.org/licenses/.
!-----------------------------------------------------------------------
!
program catprep_skymap_main
    use param

    use catprep_skymap_mod

    use erolib_general_mod
    use erolib_str_mod

    implicit none

    character(*), parameter :: function = "catprep_skymap_main"

    integer :: status
!, ierr
    type(t_skymap_file) :: skymap_file

    status = ok

    call skymap_file%skymap%init(status, skymap_file%info)
    call skymap_file%skymap%set_all_useage(0,1,1,0)

    call skymap_file%open(readonly, status, "SKYMAPS.fits")
    call skymap_file%skymap%read(status)
    call skymap_file%close(status)
    call skymap_file%open(create, status, "SKYMAPS_EXT.fits") !**** clobber?
    call skymap_file%skymap%write(status)
    call skymap_file%close(status)

end program catprep_skymap_main
