#! /bin/csh
# HBrunner 2006-08-10

set release=`cat $SASS_ROOT/RELEASE`

if ( -e $SASS_ROOT/$1/task ) then
  cd $SASS_ROOT/$1/task

  rm -f ../TASKS
  foreach tsk ( `ls -1` )
    if ( -e $tsk/ChangeLog ) then
      cd $tsk
      $SASS_SETUP/make_dist.csh
      set vers=`cat VERSION`
      cd ..
      echo "$tsk $vers" >> ../TASKS
    endif
  end

  echo "==> Reorder tasks according to dependencies <=="
  $EDITOR TASKS
 
endif

cd $SASS_ROOT/$1


echo "==> Create new version in ChangeLog if tasks were updated <=="
$EDITOR ChangeLog

echo `grep Version ChangeLog` | awk '{print $2}' > VERSION
set vers=`cat VERSION`
set arch=$1-$vers.tgz
rm -f *~ \#*\#

cd ..

if ( -e $SW_ARCHIVE/$arch ) then
  echo $arch not updated
else
  echo creating $arch
  tar -czf $arch --exclude $1/task --exclude $1/lib $1 
  mv -i $arch $SW_ARCHIVE
  echo "$1 $vers" >> $SASS_DIR/sw_export/${release}.patch
endif











