#! /bin/csh
# HBrunner 2006-09-06 last update: 2014-07-24
# parameters: release to unpack, archive directory
# start from $SASS_DIR


set SASS_DIR=$PWD
set SW_ARCHIVE=$SASS_DIR/$2

cd $SASS_DIR

if (-e $1) then
  echo "** WARNING: directory $1 exists"
  mv -i $1 $1.saved
endif

tar -xzvf $SW_ARCHIVE/$1.tgz
cd $1

mkdir bin
mkdir par

foreach pkg ( `grep "\." PACKAGES | awk '{print $1}'` ) 
  echo "Unpacking $pkg"  
  set pvers=`grep $pkg PACKAGES | awk '{print $2}'`
  set parch="$pkg-$pvers.tgz"
  echo $parch
  
  tar -xzvf $SW_ARCHIVE/$parch
  cd $pkg
  mkdir doc
  mkdir lib
  mkdir mod
  mkdir task
  cd task

  foreach task ( `grep "\." ../TASKS | awk '{print $1}'` )   
    echo "Unpacking $task"
    set tvers=`grep ^$task ../TASKS | awk '{print $2}'`
    set tarch="$task-$tvers.tgz"
    echo $tarch

    tar -xzvf $SW_ARCHIVE/$tarch
  end

  cd ../..
end
  



