! Copyright (C) 2019-2021:
!   Max Planck Institut fuer extraterrestrische Physik (MPE)
!   Leibniz Institute for Astrophysics Potsdam (AIP)
!
! This program is free software; you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation; either version 2 of the License, or
! (at your option) any later version.
!
! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License along
! with this program; if not, write to the Free Software Foundation, Inc.,
! 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

module srctool_generic_fitsraw

! fitsio wrapper module to ensure type safety
! automatically generated using generate_f90_fitsio.py
! (had to make some further modifications)

    ! #!/usr/bin/env python3
    !
    ! # make fitsio wrapper for f90
    !
    ! import glob
    ! import os
    ! import re
    ! import io
    !
    ! indir = '/home/jss/code/heasoft/heasoft-6.27.2/heacore/cfitsio'
    !
    ! submatch = re.compile(r'FCALLSCSUB[0-9]+\(([A-Za-z0-9,]+)\)')
    ! funmatch = re.compile(r'FCALLSCFUN[0-9]+\(([A-Za-z0-9,]+)\)')
    !
    ! retconv = {
    ! 'INT': 'integer(kind=c_int)',
    ! 'SHORT': 'integer(kind=c_short)',
    ! 'LONG': 'integer(kind=c_int)',
    ! 'LONGLONG': 'integer(kind=c_long_long)',
    ! 'BYTE': 'integer(kind=c_int8_t)',
    ! 'FLOAT': 'real(kind=c_float)',
    ! 'DOUBLE': 'real(kind=c_double)',
    ! 'FITSUNIT': 'integer(kind=c_int)',
    ! 'LOGICAL': 'integer(kind=c_int)',
    ! }
    !
    ! conv = {
    ! 'INT': 'integer(kind=c_int), intent(in), value',
    ! 'SHORT': 'integer(kind=c_short), intent(in), value',
    ! 'LONG': 'integer(kind=c_int), intent(in), value',
    ! 'LONGLONG': 'integer(kind=c_long_long), intent(in), value',
    ! 'BYTE': 'integer(kind=c_int8_t), intent(in), value',
    ! 'FLOAT': 'real(kind=c_float), intent(in), value',
    ! 'DOUBLE': 'real(kind=c_double), intent(in), value',
    ! 'FITSUNIT': 'integer(kind=c_int), intent(in), value',
    ! 'LOGICAL': 'integer(kind=c_int), intent(in), value',
    ! 'STRING': 'character(len=*), intent(in)',
    !
    ! 'PINT': 'integer(kind=c_int), intent(inout)',
    ! 'PSHORT': 'integer(kind=c_short), intent(inout)',
    ! 'PLONG': 'integer(kind=c_int), intent(inout)',
    ! 'PLONGLONG': 'integer(kind=c_long_long), intent(inout)',
    ! 'PBYTE': 'integer(kind=c_int8_t), intent(inout)',
    ! 'PFLOAT': 'real(kind=c_float), intent(inout)',
    ! 'PDOUBLE': 'real(kind=c_double), intent(inout)',
    ! 'PFITSUNIT': 'integer(kind=c_int), intent(inout)',
    ! 'PLOGICAL': 'integer(kind=c_int), intent(inout)',
    ! 'PSTRING': 'character(len=*), intent(inout)',
    ! 'PVOID': 'type(c_ptr), intent(inout)',
    !
    ! 'INTV': 'integer(kind=c_int), dimension(:)',
    ! 'SHORTV': 'integer(kind=c_short), dimension(:)',
    ! 'LONGV': 'integer(kind=c_int), dimension(:)',
    ! 'LONGLONGV': 'integer(kind=c_long_long), dimension(:)',
    ! 'BYTEV': 'integer(kind=c_int8_t), dimension(:)',
    ! 'FLOATV': 'real(kind=c_float), dimension(:)',
    ! 'DOUBLEV': 'real(kind=c_double), dimension(:)',
    ! 'FITSUNITV': 'integer(kind=c_int), dimension(:)',
    ! 'LOGICALV': 'integer(kind=c_int), dimension(:)',
    ! 'STRINGV': 'character(len=*), dimension(:)',
    !
    ! }
    !
    ! def handleSub(line, pars, outfile):
    ! name = pars[2]
    ! args = pars[3:]
    !
    ! argnames = ['a%i' % (i+1) for i in range(len(args))]
    !
    ! print('! %s' % line, file=outfile)
    ! print('subroutine %s_w(%s)' % (name, ', '.join(argnames)), file=outfile)
    ! for a, aname in zip(args, argnames):
    ! print('  %s :: %s  ! %s' % (conv[a], aname, a), file=outfile)
    !
    ! print(file=outfile)
    ! print('  call %s(%s)' % (name, ', '.join(argnames)), file=outfile)
    ! print('end subroutine %s_w' % name, file=outfile)
    ! print('', file=outfile)
    ! return '%s_w' % name
    !
    ! def handleFun(line, pars, outfile):
    ! name = pars[3]
    ! args = pars[4:]
    !
    ! argnames = ['a%i' % (i+1) for i in range(len(args))]
    !
    ! print('! %s' % line, file=outfile)
    ! print('function %s_w(%s)' % (name, ', '.join(argnames)), file=outfile)
    ! for a, aname in zip(args, argnames):
    ! print('  %s :: %s_w  ! %s' % (retconv[pars[0]], name, pars[0]), file=outfile)
    ! print('  %s :: %s  ! %s' % (conv[a], aname, a), file=outfile)
    ! print('  %s :: %s  ! %s' % (retconv[pars[0]], name, pars[0]), file=outfile)
    !
    ! print(file=outfile)
    ! print('  %s_w = %s(%s)' % (name, name, ', '.join(argnames)), file=outfile)
    ! print('end function %s_w' % name, file=outfile)
    ! print('', file=outfile)
    ! return '%s_w' % name
    !
    !
    ! src = io.StringIO()
    ! defs = []
    !
    ! for fname in sorted(glob.glob(os.path.join(indir,'f77_wrap?.c'))):
    !
    ! for line in open(fname):
    ! line = line.strip()
    !
    ! m = submatch.match(line)
    ! if m:
    ! args = m.group(1).split(',')
    ! if args[2] not in {'ftgprh', 'ftmbyt'}:
    ! sdef = handleSub(line, args, src)
    ! defs.append(sdef)
    !
    ! m = funmatch.match(line)
    ! if m:
    ! args = m.group(1).split(',')
    ! sdef = handleFun(line, args, src)
    ! defs.append(sdef)
    !
    !
    ! with open('srctool_generic_fitsraw_mod.f90', 'w') as fout:
    ! print('module srctool_generic_fitsraw', file=fout)
    ! print(file=fout)
    ! print('! fitsio wrapper module to ensure type safety', file=fout)
    ! print('! automatically generated using ' + os.path.basename(__file__), file=fout)
    ! print(file=fout)
    ! for line in open(__file__):
    ! print('    ! %s' % line.strip(), file=fout)
    ! print(file=fout)
    ! print('  use iso_fortran_env', file=fout)
    ! print('  use iso_c_binding', file=fout)
    ! print(file=fout)
    ! print('  implicit none', file=fout)
    ! print(file=fout)
    ! for d in defs:
    ! print('  public :: %s' % d, file=fout)
    ! print(file=fout)
    ! print('contains', file=fout)
    ! print(file=fout)
    ! print(src.getvalue(), file=fout)
    ! print('end module srctool_generic_fitsraw', file=fout)

  use iso_fortran_env
  use iso_c_binding

  implicit none

  public :: ftgiou_w
  public :: ftfiou_w
  public :: ftiurl_w
  public :: ftrtnm_w
  public :: ftexist_w
  public :: ftextn_w
  public :: ftrwrg_w
  public :: ftopen_w
  public :: ftdkopn_w
  public :: ftnopn_w
  public :: ftdopn_w
  public :: fttopn_w
  public :: ftiopn_w
  public :: ftreopen_w
  public :: ftinit_w
  public :: ftdkinit_w
  public :: fttplt_w
  public :: ftflus_w
  public :: ftclos_w
  public :: ftdelt_w
  public :: ftflnm_w
  public :: ftflmd_w
  public :: ftvers_w
  public :: ftupch_w
  public :: ftgerr_w
  public :: ftpmsg_w
  public :: ftgmsg_w
  public :: ftcmsg_w
  public :: ftpmrk_w
  public :: ftcmrk_w
  public :: ftrprt_w
  public :: ftcmps_w
  public :: fttkey_w
  public :: fttrec_w
  public :: ftnchk_w
  public :: ftkeyn_w
  public :: ftnkey_w
  public :: ftdtyp_w
  public :: ftgkcl_w
  public :: ftmkky_w
  public :: ftpsvc_w
  public :: ftgthd_w
  public :: ftasfm_w
  public :: ftbnfm_w
  public :: ftgabc_w
  !fitsio>=3.47 public :: ftvhtps_w
  !fitsio>=3.47 public :: ftshdwn_w
  !fitsio>=3.47 public :: ftgtmo_w
  !fitsio>=3.47 public :: ftstmo_w
  public :: ftgextn_w
  public :: ftpextn_w
  public :: ftgpvb_w
  public :: ftgpvi_w
  public :: ftgpvj_w
  public :: ftgpvk_w
  public :: ftgpve_w
  public :: ftgpvd_w
  public :: ftgpfb_w
  public :: ftgpfi_w
  public :: ftgpfj_w
  public :: ftgpfk_w
  public :: ftgpfe_w
  public :: ftgpfd_w
  public :: ftg2db_w
  public :: ftg2di_w
  public :: ftg2dj_w
  public :: ftg2dk_w
  public :: ftg2de_w
  public :: ftg2dd_w
  public :: ftg3db_w
  public :: ftg3di_w
  public :: ftg3dj_w
  public :: ftg3dk_w
  public :: ftg3de_w
  public :: ftg3dd_w
  public :: ftgsvb_w
  public :: ftgsvi_w
  public :: ftgsvj_w
  public :: ftgsvk_w
  public :: ftgsve_w
  public :: ftgsvd_w
  public :: ftgsfb_w
  public :: ftgsfi_w
  public :: ftgsfj_w
  public :: ftgsfk_w
  public :: ftgsfe_w
  public :: ftgsfd_w
  public :: ftggpb_w
  public :: ftggpi_w
  public :: ftggpj_w
  public :: ftggpk_w
  public :: ftggpe_w
  public :: ftggpd_w
  public :: ftgcl_w
  public :: ftgcvl_w
  public :: ftgcvb_w
  public :: ftgcvi_w
  public :: ftgcvj_w
  public :: ftgcvk_w
  public :: ftgcve_w
  public :: ftgcvd_w
  public :: ftgcvc_w
  public :: ftgcvm_w
  public :: ftgcvlll_w
  public :: ftgcvbll_w
  public :: ftgcvill_w
  public :: ftgcvjll_w
  public :: ftgcvkll_w
  public :: ftgcvell_w
  public :: ftgcvdll_w
  public :: ftgcvcll_w
  public :: ftgcvmll_w
  public :: ftgcx_w
  public :: ftgcxi_w
  public :: ftgcxj_w
  public :: ftgcfl_w
  public :: ftgcfb_w
  public :: ftgcfi_w
  public :: ftgcfj_w
  public :: ftgcfk_w
  public :: ftgcfe_w
  public :: ftgcfd_w
  public :: ftgcfc_w
  public :: ftgcfm_w
  public :: ftgcfbll_w
  public :: ftgcfill_w
  public :: ftgcfjll_w
  public :: ftgcfkll_w
  public :: ftgcfell_w
  public :: ftgcfdll_w
  public :: ftgdes_w
  public :: ftgdesll_w
  public :: ftgdess_w
  public :: ftgdessll_w
  public :: ftgtbb_w
  public :: ftgtbs_w
  public :: ftpprb_w
  public :: ftppri_w
  public :: ftpprj_w
  public :: ftpprk_w
  public :: ftppre_w
  public :: ftpprd_w
  public :: ftppnb_w
  public :: ftppni_w
  public :: ftppnj_w
  public :: ftppnk_w
  public :: ftppne_w
  public :: ftppnd_w
  public :: ftp2db_w
  public :: ftp2di_w
  public :: ftp2dj_w
  public :: ftp2dk_w
  public :: ftp2de_w
  public :: ftp2dd_w
  public :: ftp3db_w
  public :: ftp3di_w
  public :: ftp3dj_w
  public :: ftp3dk_w
  public :: ftp3de_w
  public :: ftp3dd_w
  public :: ftpssb_w
  public :: ftpssi_w
  public :: ftpssj_w
  public :: ftpssk_w
  public :: ftpsse_w
  public :: ftpssd_w
  public :: ftpgpb_w
  public :: ftpgpi_w
  public :: ftpgpj_w
  public :: ftpgpk_w
  public :: ftpgpe_w
  public :: ftpgpd_w
  public :: ftppru_w
  public :: ftpprn_w
  public :: ftpcls_w
  public :: ftpcll_w
  public :: ftpclb_w
  public :: ftpcli_w
  public :: ftpclj_w
  public :: ftpclk_w
  public :: ftpcle_w
  public :: ftpcld_w
  public :: ftpclc_w
  public :: ftpclm_w
  public :: ftpclu_w
  public :: ftprwu_w
  public :: ftpclsll_w
  public :: ftpcllll_w
  public :: ftpclbll_w
  public :: ftpclill_w
  public :: ftpcljll_w
  public :: ftpclkll_w
  public :: ftpclell_w
  public :: ftpcldll_w
  public :: ftpclcll_w
  public :: ftpclmll_w
  public :: ftpclull_w
  public :: ftpclx_w
  public :: ftpcns_w
  public :: ftpcnb_w
  public :: ftpcni_w
  public :: ftpcnj_w
  public :: ftpcnk_w
  public :: ftpcne_w
  public :: ftpcnd_w
  public :: ftpcnsll_w
  public :: ftpcnbll_w
  public :: ftpcnill_w
  public :: ftpcnjll_w
  public :: ftpcnkll_w
  public :: ftpcnell_w
  public :: ftpcndll_w
  public :: ftpdes_w
  public :: ftpdesll_w
  public :: ftptbb_w
  public :: ftptbs_w
  public :: ftirow_w
  public :: ftirowll_w
  public :: ftdrow_w
  public :: ftdrowll_w
  public :: ftdrrg_w
  public :: ftdrws_w
  public :: fticol_w
  public :: fticls_w
  public :: ftmvec_w
  public :: ftdcol_w
  public :: ftcpcl_w
  public :: ftprec_w
  public :: ftpcom_w
  public :: ftpunt_w
  public :: ftphis_w
  public :: ftpdat_w
  public :: ftgstm_w
  public :: ftgsdt_w
  public :: ftdt2s_w
  public :: fttm2s_w
  public :: fts2dt_w
  public :: fts2tm_w
  public :: ftpkyu_w
  public :: ftpkys_w
  public :: ftpkls_w
  public :: ftplsw_w
  public :: ftpkyl_w
  public :: ftpkyj_w
  public :: ftpkyk_w
  public :: ftpkyf_w
  public :: ftpkye_w
  public :: ftpkyg_w
  public :: ftpkyd_w
  public :: ftpkyc_w
  public :: ftpkym_w
  public :: ftpkfc_w
  public :: ftpkfm_w
  public :: ftpkyt_w
  public :: ftptdm_w
  public :: ftpkns_w
  public :: ftpknl_w
  public :: ftpknj_w
  public :: ftpknk_w
  public :: ftpknf_w
  public :: ftpkne_w
  public :: ftpkng_w
  public :: ftpknd_w
  public :: ftcpky_w
  public :: ftphps_w
  public :: ftphpr_w
  public :: ftphext_w
  public :: ftphtb_w
  public :: ftphbn_w
  public :: ftpprh_w
  public :: ftpbnh_w
  public :: ftptbh_w
  public :: ftpktp_w
  public :: ftghsp_w
  public :: ftghps_w
  public :: ftmaky_w
  public :: ftmrky_w
  public :: ftgnxk_w
  public :: ftgksl_w
  public :: ftgrec_w
  public :: ftgcrd_w
  public :: ftgunt_w
  public :: ftgkyn_w
  public :: ftgkey_w
  public :: ftgsky_w
  public :: ftgkyl_w
  public :: ftgkyj_w
  public :: ftgkyk_w
  public :: ftgkye_w
  public :: ftgkyd_w
  public :: ftgkyc_w
  public :: ftgkym_w
  public :: ftgkyt_w
  public :: ftgtdm_w
  public :: ftdtdm_w
  public :: ftgknl_w
  public :: ftgknj_w
  public :: ftgknk_w
  public :: ftgkne_w
  public :: ftgknd_w
  public :: ftghpr_w
  public :: ftucrd_w
  public :: ftukyu_w
  public :: ftukys_w
  public :: ftukls_w
  public :: ftukyl_w
  public :: ftukyj_w
  public :: ftukyk_w
  public :: ftukyf_w
  public :: ftukye_w
  public :: ftukyg_w
  public :: ftukyd_w
  public :: ftukyc_w
  public :: ftukym_w
  public :: ftukfc_w
  public :: ftukfm_w
  public :: ftmrec_w
  public :: ftmcrd_w
  public :: ftmnam_w
  public :: ftmcom_w
  public :: ftmkyu_w
  public :: ftmkys_w
  public :: ftmkls_w
  public :: ftmkyl_w
  public :: ftmkyj_w
  public :: ftmkyk_w
  public :: ftmkyf_w
  public :: ftmkye_w
  public :: ftmkyg_w
  public :: ftmkyd_w
  public :: ftmkyc_w
  public :: ftmkym_w
  public :: ftmkfc_w
  public :: ftmkfm_w
  public :: ftirec_w
  public :: ftkey_w
  public :: ftikyu_w
  public :: ftikys_w
  public :: ftikls_w
  public :: ftikyl_w
  public :: ftikyj_w
  public :: ftikyk_w
  public :: ftikyf_w
  public :: ftikye_w
  public :: ftikyg_w
  public :: ftikyd_w
  public :: ftikyc_w
  public :: ftikym_w
  public :: ftikfc_w
  public :: ftikfm_w
  public :: ftdkey_w
  public :: ftdrec_w
  public :: ftghdn_w
  public :: ftghdt_w
  public :: ftghad_w
  public :: ftgidt_w
  public :: ftgiet_w
  public :: ftgidm_w
  public :: ftgisz_w
  public :: ftgiszll_w
  public :: ftgipr_w
  public :: ftgiprll_w
  public :: ftmahd_w
  public :: ftmrhd_w
  public :: ftmnhd_w
  public :: ftthdu_w
  public :: ftcrhd_w
  public :: ftcrim_w
  public :: ftcrtb_w
  public :: ftiimg_w
  public :: ftiimgll_w
  public :: ftitab_w
  public :: ftitabll_w
  public :: ftibin_w
  public :: ftibinll_w
  public :: ftrsim_w
  public :: ftdhdu_w
  public :: ftcopy_w
  public :: ftcpfl_w
  public :: ftcphd_w
  public :: ftcpdt_w
  public :: ftchfl_w
  public :: ftcdfl_w
  public :: ftrdef_w
  public :: fthdef_w
  public :: ftpthp_w
  public :: ftpcks_w
  public :: ftvcks_w
  public :: ftgcks_w
  public :: ftcsum_w
  public :: ftesum_w
  public :: ftdsum_w
  public :: ftupck_w
  public :: ftucks_w
  public :: ftpscl_w
  public :: ftpnul_w
  public :: ftpnulll_w
  public :: fttscl_w
  public :: fttnul_w
  public :: ftsnul_w
  public :: ftgcno_w
  public :: ftgcnn_w
  public :: ftgnrw_w
  public :: ftgnrwll_w
  public :: ftgncl_w
  public :: ftgcdw_w
  public :: ftgtcl_w
  public :: fteqty_w
  public :: ftgacl_w
  public :: ftgbcl_w
  public :: ftgrsz_w
  public :: ftiter_w
  public :: ftgicsa_w
  public :: ftgtcs_w
  public :: ftwldp_w
  public :: ftxypx_w
  public :: fts2c_w
  public :: ftc2ii_w
  public :: ftc2ll_w
  public :: ftc2rr_w
  public :: ftc2dd_w
  public :: ftc2x_w
  public :: ftc2s_w
  public :: ftc2i_w
  public :: ftc2r_w
  public :: ftc2d_w
  public :: ftc2l_w
  public :: ftgcbf_w
  public :: ftgbyt_w
  public :: ftpcbf_w
  public :: ftpbyt_w
  public :: ftcrep_w
  public :: fttrnn_w
  public :: fttdnn_w
  public :: ftpdef_w
  public :: ftbdef_w
  public :: ftadef_w
  public :: ftddef_w
  public :: fttexp_w
  public :: ftfrow_w
  public :: ftfrwc_w
  public :: ftffrw_w
  public :: ftsrow_w
  public :: ftcrow_w
  public :: ftcalc_w
  public :: ftgtcr_w
  public :: ftgtis_w
  public :: ftgtch_w
  public :: ftgtrm_w
  public :: ftgtcp_w
  public :: ftgtmg_w
  public :: ftgtcm_w
  public :: ftgtvf_w
  public :: ftgtop_w
  public :: ftgtam_w
  public :: ftgtnm_w
  public :: ftgmng_w
  public :: ftgmop_w
  public :: ftgmcp_w
  public :: ftgmtf_w
  public :: ftgmrm_w

  public :: ftgkys_w ! added by hand (JSS)

contains

! added by hand (JSS)
subroutine ftgkys_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  character(len=*), intent(inout) :: a3  ! PSTRING
  character(len=*), intent(inout) :: a4  ! PSTRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftgkys(a1, a2, a3, a4, a5)
end subroutine ftgkys_w


! FCALLSCSUB2(Cffgiou,FTGIOU,ftgiou,PINT,PINT)
subroutine ftgiou_w(a1, a2)
  integer(kind=c_int), intent(inout) :: a1  ! PINT
  integer(kind=c_int), intent(inout) :: a2  ! PINT

  call ftgiou(a1, a2)
end subroutine ftgiou_w

! FCALLSCSUB2(Cfffiou,FTFIOU,ftfiou,INT,PINT)
subroutine ftfiou_w(a1, a2)
  integer(kind=c_int), intent(in), value :: a1  ! INT
  integer(kind=c_int), intent(inout) :: a2  ! PINT

  call ftfiou(a1, a2)
end subroutine ftfiou_w

! FCALLSCSUB9(ffiurl,FTIURL,ftiurl,STRING,PSTRING,PSTRING,PSTRING,PSTRING,PSTRING,PSTRING,PSTRING,PINT)
subroutine ftiurl_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  character(len=*), intent(in) :: a1  ! STRING
  character(len=*), intent(inout) :: a2  ! PSTRING
  character(len=*), intent(inout) :: a3  ! PSTRING
  character(len=*), intent(inout) :: a4  ! PSTRING
  character(len=*), intent(inout) :: a5  ! PSTRING
  character(len=*), intent(inout) :: a6  ! PSTRING
  character(len=*), intent(inout) :: a7  ! PSTRING
  character(len=*), intent(inout) :: a8  ! PSTRING
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftiurl(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftiurl_w

! FCALLSCSUB3(ffrtnm,FTRTNM,ftrtnm,STRING,PSTRING,PINT)
subroutine ftrtnm_w(a1, a2, a3)
  character(len=*), intent(in) :: a1  ! STRING
  character(len=*), intent(inout) :: a2  ! PSTRING
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftrtnm(a1, a2, a3)
end subroutine ftrtnm_w

! FCALLSCSUB3(ffexist,FTEXIST,ftexist,STRING,PINT,PINT)
subroutine ftexist_w(a1, a2, a3)
  character(len=*), intent(in) :: a1  ! STRING
  integer(kind=c_int), intent(inout) :: a2  ! PINT
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftexist(a1, a2, a3)
end subroutine ftexist_w

! FCALLSCSUB3(ffextn,FTEXTN,ftextn,STRING,PINT,PINT)
subroutine ftextn_w(a1, a2, a3)
  character(len=*), intent(in) :: a1  ! STRING
  integer(kind=c_int), intent(inout) :: a2  ! PINT
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftextn(a1, a2, a3)
end subroutine ftextn_w

! FCALLSCSUB7(ffrwrg,FTRWRG,ftrwrg,STRING,LONG,INT,PINT,PLONG,PLONG,PINT)
subroutine ftrwrg_w(a1, a2, a3, a4, a5, a6, a7)
  character(len=*), intent(in) :: a1  ! STRING
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(inout) :: a4  ! PINT
  integer(kind=c_int), intent(inout) :: a5  ! PLONG
  integer(kind=c_int), intent(inout) :: a6  ! PLONG
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftrwrg(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftrwrg_w

! FCALLSCSUB5(Cffopen,FTOPEN,ftopen,PFITSUNIT,STRING,INT,PINT,PINT)
subroutine ftopen_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(inout) :: a1  ! PFITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(inout) :: a4  ! PINT
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftopen(a1, a2, a3, a4, a5)
end subroutine ftopen_w

! FCALLSCSUB5(Cffdkopn,FTDKOPN,ftdkopn,PFITSUNIT,STRING,INT,PINT,PINT)
subroutine ftdkopn_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(inout) :: a1  ! PFITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(inout) :: a4  ! PINT
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftdkopn(a1, a2, a3, a4, a5)
end subroutine ftdkopn_w

! FCALLSCSUB4(Cffnopn,FTNOPN,ftnopn,PFITSUNIT,STRING,INT,PINT)
subroutine ftnopn_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(inout) :: a1  ! PFITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftnopn(a1, a2, a3, a4)
end subroutine ftnopn_w

! FCALLSCSUB4(Cffdopn,FTDOPN,ftdopn,PFITSUNIT,STRING,INT,PINT)
subroutine ftdopn_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(inout) :: a1  ! PFITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftdopn(a1, a2, a3, a4)
end subroutine ftdopn_w

! FCALLSCSUB4(Cfftopn,FTTOPN,fttopn,PFITSUNIT,STRING,INT,PINT)
subroutine fttopn_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(inout) :: a1  ! PFITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call fttopn(a1, a2, a3, a4)
end subroutine fttopn_w

! FCALLSCSUB4(Cffiopn,FTIOPN,ftiopn,PFITSUNIT,STRING,INT,PINT)
subroutine ftiopn_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(inout) :: a1  ! PFITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftiopn(a1, a2, a3, a4)
end subroutine ftiopn_w

! FCALLSCSUB3(Cffreopen,FTREOPEN,ftreopen,FITSUNIT,PFITSUNIT,PINT)
subroutine ftreopen_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PFITSUNIT
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftreopen(a1, a2, a3)
end subroutine ftreopen_w

! FCALLSCSUB4(Cffinit,FTINIT,ftinit,PFITSUNIT,STRING,INT,PINT)
subroutine ftinit_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(inout) :: a1  ! PFITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftinit(a1, a2, a3, a4)
end subroutine ftinit_w

! FCALLSCSUB4(Cffdkinit,FTDKINIT,ftdkinit,PFITSUNIT,STRING,INT,PINT)
subroutine ftdkinit_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(inout) :: a1  ! PFITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftdkinit(a1, a2, a3, a4)
end subroutine ftdkinit_w

! FCALLSCSUB4(Cfftplt,FTTPLT,fttplt,PFITSUNIT,STRING,STRING,PINT)
subroutine fttplt_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(inout) :: a1  ! PFITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  character(len=*), intent(in) :: a3  ! STRING
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call fttplt(a1, a2, a3, a4)
end subroutine fttplt_w

! FCALLSCSUB2(ffflus,FTFLUS,ftflus,FITSUNIT,PINT)
subroutine ftflus_w(a1, a2)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PINT

  call ftflus(a1, a2)
end subroutine ftflus_w

! FCALLSCSUB2(Cffclos,FTCLOS,ftclos,INT,PINT)
subroutine ftclos_w(a1, a2)
  integer(kind=c_int), intent(in), value :: a1  ! INT
  integer(kind=c_int), intent(inout) :: a2  ! PINT

  call ftclos(a1, a2)
end subroutine ftclos_w

! FCALLSCSUB2(Cffdelt,FTDELT,ftdelt,INT,PINT)
subroutine ftdelt_w(a1, a2)
  integer(kind=c_int), intent(in), value :: a1  ! INT
  integer(kind=c_int), intent(inout) :: a2  ! PINT

  call ftdelt(a1, a2)
end subroutine ftdelt_w

! FCALLSCSUB3(ffflnm,FTFLNM,ftflnm,FITSUNIT,PSTRING,PINT)
subroutine ftflnm_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(inout) :: a2  ! PSTRING
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftflnm(a1, a2, a3)
end subroutine ftflnm_w

! FCALLSCSUB3(ffflmd,FTFLMD,ftflmd,FITSUNIT,PINT,PINT)
subroutine ftflmd_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PINT
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftflmd(a1, a2, a3)
end subroutine ftflmd_w

! FCALLSCSUB1(ffvers,FTVERS,ftvers,PFLOAT)
subroutine ftvers_w(a1)
  real(kind=c_float), intent(inout) :: a1  ! PFLOAT

  call ftvers(a1)
end subroutine ftvers_w

! FCALLSCSUB1(ffupch,FTUPCH,ftupch,PSTRING)
subroutine ftupch_w(a1)
  character(len=*), intent(inout) :: a1  ! PSTRING

  call ftupch(a1)
end subroutine ftupch_w

! FCALLSCSUB2(ffgerr,FTGERR,ftgerr,INT,PSTRING)
subroutine ftgerr_w(a1, a2)
  integer(kind=c_int), intent(in), value :: a1  ! INT
  character(len=*), intent(inout) :: a2  ! PSTRING

  call ftgerr(a1, a2)
end subroutine ftgerr_w

! FCALLSCSUB1(ffpmsg,FTPMSG,ftpmsg,STRING)
subroutine ftpmsg_w(a1)
  character(len=*), intent(in) :: a1  ! STRING

  call ftpmsg(a1)
end subroutine ftpmsg_w

! FCALLSCSUB1(ffgmsg,FTGMSG,ftgmsg,PSTRING)
subroutine ftgmsg_w(a1)
  character(len=*), intent(inout) :: a1  ! PSTRING

  call ftgmsg(a1)
end subroutine ftgmsg_w

! FCALLSCSUB0(ffcmsg,FTCMSG,ftcmsg)
subroutine ftcmsg_w()

  call ftcmsg()
end subroutine ftcmsg_w

! FCALLSCSUB0(ffpmrk,FTPMRK,ftpmrk)
subroutine ftpmrk_w()

  call ftpmrk()
end subroutine ftpmrk_w

! FCALLSCSUB0(ffcmrk,FTCMRK,ftcmrk)
subroutine ftcmrk_w()

  call ftcmrk()
end subroutine ftcmrk_w

! FCALLSCSUB2(Cffrprt,FTRPRT,ftrprt,STRING,INT)
subroutine ftrprt_w(a1, a2)
  character(len=*), intent(in) :: a1  ! STRING
  integer(kind=c_int), intent(in), value :: a2  ! INT

  call ftrprt(a1, a2)
end subroutine ftrprt_w

! FCALLSCSUB5(ffcmps,FTCMPS,ftcmps,STRING,STRING,LOGICAL,PLOGICAL,PLOGICAL)
subroutine ftcmps_w(a1, a2, a3, a4, a5)
  character(len=*), intent(in) :: a1  ! STRING
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! LOGICAL
  integer(kind=c_int), intent(inout) :: a4  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a5  ! PLOGICAL

  call ftcmps(a1, a2, a3, a4, a5)
end subroutine ftcmps_w

! FCALLSCSUB2(fftkey,FTTKEY,fttkey,STRING,PINT)
subroutine fttkey_w(a1, a2)
  character(len=*), intent(in) :: a1  ! STRING
  integer(kind=c_int), intent(inout) :: a2  ! PINT

  call fttkey(a1, a2)
end subroutine fttkey_w

! FCALLSCSUB2(fftrec,FTTREC,fttrec,STRING,PINT)
subroutine fttrec_w(a1, a2)
  character(len=*), intent(in) :: a1  ! STRING
  integer(kind=c_int), intent(inout) :: a2  ! PINT

  call fttrec(a1, a2)
end subroutine fttrec_w

! FCALLSCSUB2(ffnchk,FTNCHK,ftnchk,FITSUNIT,PINT)
subroutine ftnchk_w(a1, a2)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PINT

  call ftnchk(a1, a2)
end subroutine ftnchk_w

! FCALLSCSUB4(ffkeyn,FTKEYN,ftkeyn,STRING,INT,PSTRING,PINT)
subroutine ftkeyn_w(a1, a2, a3, a4)
  character(len=*), intent(in) :: a1  ! STRING
  integer(kind=c_int), intent(in), value :: a2  ! INT
  character(len=*), intent(inout) :: a3  ! PSTRING
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftkeyn(a1, a2, a3, a4)
end subroutine ftkeyn_w

! FCALLSCSUB4(ffnkey,FTNKEY,ftnkey,INT,STRING,PSTRING,PINT)
subroutine ftnkey_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! INT
  character(len=*), intent(in) :: a2  ! STRING
  character(len=*), intent(inout) :: a3  ! PSTRING
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftnkey(a1, a2, a3, a4)
end subroutine ftnkey_w

! FCALLSCSUB3(ffdtyp,FTDTYP,ftdtyp,STRING,PSTRING,PINT)
subroutine ftdtyp_w(a1, a2, a3)
  character(len=*), intent(in) :: a1  ! STRING
  character(len=*), intent(inout) :: a2  ! PSTRING
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftdtyp(a1, a2, a3)
end subroutine ftdtyp_w

! FCALLSCFUN1(INT,ffgkcl,FTGKCL,ftgkcl,STRING)
function ftgkcl_w(a1)
  integer(kind=c_int) :: ftgkcl_w  ! INT
  character(len=*), intent(in) :: a1  ! STRING
  integer(kind=c_int) :: ftgkcl  ! INT

  ftgkcl_w = ftgkcl(a1)
end function ftgkcl_w

! FCALLSCSUB5(ffmkky,FTMKKY,ftmkky,STRING,STRING,STRING,PSTRING,PINT)
subroutine ftmkky_w(a1, a2, a3, a4, a5)
  character(len=*), intent(in) :: a1  ! STRING
  character(len=*), intent(in) :: a2  ! STRING
  character(len=*), intent(in) :: a3  ! STRING
  character(len=*), intent(inout) :: a4  ! PSTRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftmkky(a1, a2, a3, a4, a5)
end subroutine ftmkky_w

! FCALLSCSUB4(ffpsvc,FTPSVC,ftpsvc,STRING,PSTRING,PSTRING,PINT)
subroutine ftpsvc_w(a1, a2, a3, a4)
  character(len=*), intent(in) :: a1  ! STRING
  character(len=*), intent(inout) :: a2  ! PSTRING
  character(len=*), intent(inout) :: a3  ! PSTRING
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftpsvc(a1, a2, a3, a4)
end subroutine ftpsvc_w

! FCALLSCSUB4(ffgthd,FTGTHD,ftgthd,STRING,PSTRING,PINT,PINT)
subroutine ftgthd_w(a1, a2, a3, a4)
  character(len=*), intent(in) :: a1  ! STRING
  character(len=*), intent(inout) :: a2  ! PSTRING
  integer(kind=c_int), intent(inout) :: a3  ! PINT
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftgthd(a1, a2, a3, a4)
end subroutine ftgthd_w

! FCALLSCSUB5(ffasfm,FTASFM,ftasfm,STRING,PINT,PLONG,PINT,PINT)
subroutine ftasfm_w(a1, a2, a3, a4, a5)
  character(len=*), intent(in) :: a1  ! STRING
  integer(kind=c_int), intent(inout) :: a2  ! PINT
  integer(kind=c_int), intent(inout) :: a3  ! PLONG
  integer(kind=c_int), intent(inout) :: a4  ! PINT
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftasfm(a1, a2, a3, a4, a5)
end subroutine ftasfm_w

! FCALLSCSUB5(ffbnfm,FTBNFM,ftbnfm,STRING,PINT,PLONG,PLONG,PINT)
subroutine ftbnfm_w(a1, a2, a3, a4, a5)
  character(len=*), intent(in) :: a1  ! STRING
  integer(kind=c_int), intent(inout) :: a2  ! PINT
  integer(kind=c_int), intent(inout) :: a3  ! PLONG
  integer(kind=c_int), intent(inout) :: a4  ! PLONG
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftbnfm(a1, a2, a3, a4, a5)
end subroutine ftbnfm_w

! FCALLSCSUB6(ffgabc,FTGABC,ftgabc,INT,STRINGV,INT,PLONG,LONGV,PINT)
subroutine ftgabc_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! INT
  character(len=*), dimension(:) :: a2  ! STRINGV
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(inout) :: a4  ! PLONG
  integer(kind=c_int), dimension(:) :: a5  ! LONGV
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftgabc(a1, a2, a3, a4, a5, a6)
end subroutine ftgabc_w

!---------------------------------------------------------------------
! The following functions are only available in cfitsio-3.47 and later

! ! FCALLSCSUB1(ffvhtps,FTVHTPS,ftvhtps,INT)
! subroutine ftvhtps_w(a1)
!   integer(kind=c_int), intent(in), value :: a1  ! INT

!   call ftvhtps(a1)
! end subroutine ftvhtps_w

! ! FCALLSCSUB1(ffshdwn,FTSHDWN,ftshdwn,INT)
! subroutine ftshdwn_w(a1)
!   integer(kind=c_int), intent(in), value :: a1  ! INT

!   call ftshdwn(a1)
! end subroutine ftshdwn_w

! ! FCALLSCSUB1(Cffgtmo,FTGTMO,ftgtmo,PINT)
! subroutine ftgtmo_w(a1)
!   integer(kind=c_int), intent(inout) :: a1  ! PINT

!   call ftgtmo(a1)
! end subroutine ftgtmo_w

! ! FCALLSCSUB2(ffstmo,FTSTMO,ftstmo,INT,PINT)
! subroutine ftstmo_w(a1, a2)
!   integer(kind=c_int), intent(in), value :: a1  ! INT
!   integer(kind=c_int), intent(inout) :: a2  ! PINT

!   call ftstmo(a1, a2)
! end subroutine ftstmo_w
!---------------------------------------------------------------------


! FCALLSCSUB5(ffgextn,FTGEXTN,ftgextn,FITSUNIT,LONG,LONG,BYTEV,PINT)
subroutine ftgextn_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int8_t), dimension(:) :: a4  ! BYTEV
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftgextn(a1, a2, a3, a4, a5)
end subroutine ftgextn_w

! FCALLSCSUB5(ffpextn,FTPEXTN,ftpextn,FITSUNIT,LONG,LONG,BYTEV,PINT)
subroutine ftpextn_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int8_t), dimension(:) :: a4  ! BYTEV
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftpextn(a1, a2, a3, a4, a5)
end subroutine ftpextn_w

! FCALLSCSUB8(ffgpvb,FTGPVB,ftgpvb,FITSUNIT,LONG,LONG,LONG,BYTE,BYTEV,PLOGICAL,PINT)
subroutine ftgpvb_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int8_t), intent(in), value :: a5  ! BYTE
  integer(kind=c_int8_t), dimension(:) :: a6  ! BYTEV
  integer(kind=c_int), intent(inout) :: a7  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftgpvb(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftgpvb_w

! FCALLSCSUB8(ffgpvi,FTGPVI,ftgpvi,FITSUNIT,LONG,LONG,LONG,SHORT,SHORTV,PLOGICAL,PINT)
subroutine ftgpvi_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_short), intent(in), value :: a5  ! SHORT
  integer(kind=c_short), dimension(:) :: a6  ! SHORTV
  integer(kind=c_int), intent(inout) :: a7  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftgpvi(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftgpvi_w

! FCALLSCSUB8(ffgpvk,FTGPVJ,ftgpvj,FITSUNIT,LONG,LONG,LONG,INT,INTV,PLOGICAL,PINT)
subroutine ftgpvj_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! INT
  integer(kind=c_int), dimension(:) :: a6  ! INTV
  integer(kind=c_int), intent(inout) :: a7  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftgpvj(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftgpvj_w

! FCALLSCSUB8(ffgpvjj,FTGPVK,ftgpvk,FITSUNIT,LONG,LONG,LONG,LONGLONG,LONGLONGV,PLOGICAL,PINT)
subroutine ftgpvk_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_long_long), intent(in), value :: a5  ! LONGLONG
  integer(kind=c_long_long), dimension(:) :: a6  ! LONGLONGV
  integer(kind=c_int), intent(inout) :: a7  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftgpvk(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftgpvk_w

! FCALLSCSUB8(ffgpve,FTGPVE,ftgpve,FITSUNIT,LONG,LONG,LONG,FLOAT,FLOATV,PLOGICAL,PINT)
subroutine ftgpve_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  real(kind=c_float), intent(in), value :: a5  ! FLOAT
  real(kind=c_float), dimension(:) :: a6  ! FLOATV
  integer(kind=c_int), intent(inout) :: a7  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftgpve(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftgpve_w

! FCALLSCSUB8(ffgpvd,FTGPVD,ftgpvd,FITSUNIT,LONG,LONG,LONG,DOUBLE,DOUBLEV,PLOGICAL,PINT)
subroutine ftgpvd_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  real(kind=c_double), intent(in), value :: a5  ! DOUBLE
  real(kind=c_double), dimension(:) :: a6  ! DOUBLEV
  integer(kind=c_int), intent(inout) :: a7  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftgpvd(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftgpvd_w

! FCALLSCSUB8(ffgpfb,FTGPFB,ftgpfb,FITSUNIT,LONG,LONG,LONG,BYTEV,LOGICALV,PLOGICAL,PINT)
subroutine ftgpfb_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int8_t), dimension(:) :: a5  ! BYTEV
  integer(kind=c_int), dimension(:) :: a6  ! LOGICALV
  integer(kind=c_int), intent(inout) :: a7  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftgpfb(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftgpfb_w

! FCALLSCSUB8(ffgpfi,FTGPFI,ftgpfi,FITSUNIT,LONG,LONG,LONG,SHORTV,LOGICALV,PLOGICAL,PINT)
subroutine ftgpfi_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_short), dimension(:) :: a5  ! SHORTV
  integer(kind=c_int), dimension(:) :: a6  ! LOGICALV
  integer(kind=c_int), intent(inout) :: a7  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftgpfi(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftgpfi_w

! FCALLSCSUB8(ffgpfk,FTGPFJ,ftgpfj,FITSUNIT,LONG,LONG,LONG,INTV,LOGICALV,PLOGICAL,PINT)
subroutine ftgpfj_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), dimension(:) :: a5  ! INTV
  integer(kind=c_int), dimension(:) :: a6  ! LOGICALV
  integer(kind=c_int), intent(inout) :: a7  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftgpfj(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftgpfj_w

! FCALLSCSUB8(ffgpfjj,FTGPFK,ftgpfk,FITSUNIT,LONG,LONG,LONG,LONGLONGV,LOGICALV,PLOGICAL,PINT)
subroutine ftgpfk_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_long_long), dimension(:) :: a5  ! LONGLONGV
  integer(kind=c_int), dimension(:) :: a6  ! LOGICALV
  integer(kind=c_int), intent(inout) :: a7  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftgpfk(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftgpfk_w

! FCALLSCSUB8(ffgpfe,FTGPFE,ftgpfe,FITSUNIT,LONG,LONG,LONG,FLOATV,LOGICALV,PLOGICAL,PINT)
subroutine ftgpfe_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  real(kind=c_float), dimension(:) :: a5  ! FLOATV
  integer(kind=c_int), dimension(:) :: a6  ! LOGICALV
  integer(kind=c_int), intent(inout) :: a7  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftgpfe(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftgpfe_w

! FCALLSCSUB8(ffgpfd,FTGPFD,ftgpfd,FITSUNIT,LONG,LONG,LONG,DOUBLEV,LOGICALV,PLOGICAL,PINT)
subroutine ftgpfd_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  real(kind=c_double), dimension(:) :: a5  ! DOUBLEV
  integer(kind=c_int), dimension(:) :: a6  ! LOGICALV
  integer(kind=c_int), intent(inout) :: a7  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftgpfd(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftgpfd_w

! FCALLSCSUB9(ffg2db,FTG2DB,ftg2db,FITSUNIT,LONG,BYTE,LONG,LONG,LONG,BYTEV,PLOGICAL,PINT)
subroutine ftg2db_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int8_t), intent(in), value :: a3  ! BYTE
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(in), value :: a6  ! LONG
  integer(kind=c_int8_t), dimension(:) :: a7  ! BYTEV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftg2db(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftg2db_w

! FCALLSCSUB9(ffg2di,FTG2DI,ftg2di,FITSUNIT,LONG,SHORT,LONG,LONG,LONG,SHORTV,PLOGICAL,PINT)
subroutine ftg2di_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_short), intent(in), value :: a3  ! SHORT
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(in), value :: a6  ! LONG
  integer(kind=c_short), dimension(:) :: a7  ! SHORTV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftg2di(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftg2di_w

! FCALLSCSUB9(ffg2dk,FTG2DJ,ftg2dj,FITSUNIT,LONG,INT,LONG,LONG,LONG,INTV,PLOGICAL,PINT)
subroutine ftg2dj_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(in), value :: a6  ! LONG
  integer(kind=c_int), dimension(:) :: a7  ! INTV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftg2dj(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftg2dj_w

! FCALLSCSUB9(ffg2djj,FTG2DK,ftg2dk,FITSUNIT,LONG,LONGLONG,LONG,LONG,LONG,LONGLONGV,PLOGICAL,PINT)
subroutine ftg2dk_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(in), value :: a6  ! LONG
  integer(kind=c_long_long), dimension(:) :: a7  ! LONGLONGV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftg2dk(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftg2dk_w

! FCALLSCSUB9(ffg2de,FTG2DE,ftg2de,FITSUNIT,LONG,FLOAT,LONG,LONG,LONG,FLOATV,PLOGICAL,PINT)
subroutine ftg2de_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  real(kind=c_float), intent(in), value :: a3  ! FLOAT
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(in), value :: a6  ! LONG
  real(kind=c_float), dimension(:) :: a7  ! FLOATV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftg2de(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftg2de_w

! FCALLSCSUB9(ffg2dd,FTG2DD,ftg2dd,FITSUNIT,LONG,DOUBLE,LONG,LONG,LONG,DOUBLEV,PLOGICAL,PINT)
subroutine ftg2dd_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  real(kind=c_double), intent(in), value :: a3  ! DOUBLE
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(in), value :: a6  ! LONG
  real(kind=c_double), dimension(:) :: a7  ! DOUBLEV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftg2dd(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftg2dd_w

! FCALLSCSUB11(ffg3db,FTG3DB,ftg3db,FITSUNIT,LONG,BYTE,LONG,LONG,LONG,LONG,LONG,BYTEV,PLOGICAL,PINT)
subroutine ftg3db_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int8_t), intent(in), value :: a3  ! BYTE
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(in), value :: a6  ! LONG
  integer(kind=c_int), intent(in), value :: a7  ! LONG
  integer(kind=c_int), intent(in), value :: a8  ! LONG
  integer(kind=c_int8_t), dimension(:) :: a9  ! BYTEV
  integer(kind=c_int), intent(inout) :: a10  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a11  ! PINT

  call ftg3db(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
end subroutine ftg3db_w

! FCALLSCSUB11(ffg3di,FTG3DI,ftg3di,FITSUNIT,LONG,SHORT,LONG,LONG,LONG,LONG,LONG,SHORTV,PLOGICAL,PINT)
subroutine ftg3di_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_short), intent(in), value :: a3  ! SHORT
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(in), value :: a6  ! LONG
  integer(kind=c_int), intent(in), value :: a7  ! LONG
  integer(kind=c_int), intent(in), value :: a8  ! LONG
  integer(kind=c_short), dimension(:) :: a9  ! SHORTV
  integer(kind=c_int), intent(inout) :: a10  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a11  ! PINT

  call ftg3di(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
end subroutine ftg3di_w

! FCALLSCSUB11(ffg3dk,FTG3DJ,ftg3dj,FITSUNIT,LONG,INT,LONG,LONG,LONG,LONG,LONG,INTV,PLOGICAL,PINT)
subroutine ftg3dj_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(in), value :: a6  ! LONG
  integer(kind=c_int), intent(in), value :: a7  ! LONG
  integer(kind=c_int), intent(in), value :: a8  ! LONG
  integer(kind=c_int), dimension(:) :: a9  ! INTV
  integer(kind=c_int), intent(inout) :: a10  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a11  ! PINT

  call ftg3dj(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
end subroutine ftg3dj_w

! FCALLSCSUB11(ffg3djj,FTG3DK,ftg3dk,FITSUNIT,LONG,LONGLONG,LONG,LONG,LONG,LONG,LONG,LONGLONGV,PLOGICAL,PINT)
subroutine ftg3dk_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(in), value :: a6  ! LONG
  integer(kind=c_int), intent(in), value :: a7  ! LONG
  integer(kind=c_int), intent(in), value :: a8  ! LONG
  integer(kind=c_long_long), dimension(:) :: a9  ! LONGLONGV
  integer(kind=c_int), intent(inout) :: a10  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a11  ! PINT

  call ftg3dk(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
end subroutine ftg3dk_w

! FCALLSCSUB11(ffg3de,FTG3DE,ftg3de,FITSUNIT,LONG,FLOAT,LONG,LONG,LONG,LONG,LONG,FLOATV,PLOGICAL,PINT)
subroutine ftg3de_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  real(kind=c_float), intent(in), value :: a3  ! FLOAT
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(in), value :: a6  ! LONG
  integer(kind=c_int), intent(in), value :: a7  ! LONG
  integer(kind=c_int), intent(in), value :: a8  ! LONG
  real(kind=c_float), dimension(:) :: a9  ! FLOATV
  integer(kind=c_int), intent(inout) :: a10  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a11  ! PINT

  call ftg3de(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
end subroutine ftg3de_w

! FCALLSCSUB11(ffg3dd,FTG3DD,ftg3dd,FITSUNIT,LONG,DOUBLE,LONG,LONG,LONG,LONG,LONG,DOUBLEV,PLOGICAL,PINT)
subroutine ftg3dd_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  real(kind=c_double), intent(in), value :: a3  ! DOUBLE
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(in), value :: a6  ! LONG
  integer(kind=c_int), intent(in), value :: a7  ! LONG
  integer(kind=c_int), intent(in), value :: a8  ! LONG
  real(kind=c_double), dimension(:) :: a9  ! DOUBLEV
  integer(kind=c_int), intent(inout) :: a10  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a11  ! PINT

  call ftg3dd(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
end subroutine ftg3dd_w

! FCALLSCSUB11(ffgsvb,FTGSVB,ftgsvb,FITSUNIT,INT,INT,LONGV,LONGV,LONGV,LONGV,BYTE,BYTEV,PLOGICAL,PINT)
subroutine ftgsvb_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), dimension(:) :: a4  ! LONGV
  integer(kind=c_int), dimension(:) :: a5  ! LONGV
  integer(kind=c_int), dimension(:) :: a6  ! LONGV
  integer(kind=c_int), dimension(:) :: a7  ! LONGV
  integer(kind=c_int8_t), intent(in), value :: a8  ! BYTE
  integer(kind=c_int8_t), dimension(:) :: a9  ! BYTEV
  integer(kind=c_int), intent(inout) :: a10  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a11  ! PINT

  call ftgsvb(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
end subroutine ftgsvb_w

! FCALLSCSUB11(ffgsvi,FTGSVI,ftgsvi,FITSUNIT,INT,INT,LONGV,LONGV,LONGV,LONGV,SHORT,SHORTV,PLOGICAL,PINT)
subroutine ftgsvi_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), dimension(:) :: a4  ! LONGV
  integer(kind=c_int), dimension(:) :: a5  ! LONGV
  integer(kind=c_int), dimension(:) :: a6  ! LONGV
  integer(kind=c_int), dimension(:) :: a7  ! LONGV
  integer(kind=c_short), intent(in), value :: a8  ! SHORT
  integer(kind=c_short), dimension(:) :: a9  ! SHORTV
  integer(kind=c_int), intent(inout) :: a10  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a11  ! PINT

  call ftgsvi(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
end subroutine ftgsvi_w

! FCALLSCSUB11(ffgsvk,FTGSVJ,ftgsvj,FITSUNIT,INT,INT,LONGV,LONGV,LONGV,LONGV,INT,INTV,PLOGICAL,PINT)
subroutine ftgsvj_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), dimension(:) :: a4  ! LONGV
  integer(kind=c_int), dimension(:) :: a5  ! LONGV
  integer(kind=c_int), dimension(:) :: a6  ! LONGV
  integer(kind=c_int), dimension(:) :: a7  ! LONGV
  integer(kind=c_int), intent(in), value :: a8  ! INT
  integer(kind=c_int), dimension(:) :: a9  ! INTV
  integer(kind=c_int), intent(inout) :: a10  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a11  ! PINT

  call ftgsvj(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
end subroutine ftgsvj_w

! FCALLSCSUB11(ffgsvjj,FTGSVK,ftgsvk,FITSUNIT,INT,INT,LONGV,LONGV,LONGV,LONGV,LONGLONG,LONGLONGV,PLOGICAL,PINT)
subroutine ftgsvk_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), dimension(:) :: a4  ! LONGV
  integer(kind=c_int), dimension(:) :: a5  ! LONGV
  integer(kind=c_int), dimension(:) :: a6  ! LONGV
  integer(kind=c_int), dimension(:) :: a7  ! LONGV
  integer(kind=c_long_long), intent(in), value :: a8  ! LONGLONG
  integer(kind=c_long_long), dimension(:) :: a9  ! LONGLONGV
  integer(kind=c_int), intent(inout) :: a10  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a11  ! PINT

  call ftgsvk(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
end subroutine ftgsvk_w

! FCALLSCSUB11(ffgsve,FTGSVE,ftgsve,FITSUNIT,INT,INT,LONGV,LONGV,LONGV,LONGV,FLOAT,FLOATV,PLOGICAL,PINT)
subroutine ftgsve_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), dimension(:) :: a4  ! LONGV
  integer(kind=c_int), dimension(:) :: a5  ! LONGV
  integer(kind=c_int), dimension(:) :: a6  ! LONGV
  integer(kind=c_int), dimension(:) :: a7  ! LONGV
  real(kind=c_float), intent(in), value :: a8  ! FLOAT
  real(kind=c_float), dimension(:) :: a9  ! FLOATV
  integer(kind=c_int), intent(inout) :: a10  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a11  ! PINT

  call ftgsve(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
end subroutine ftgsve_w

! FCALLSCSUB11(ffgsvd,FTGSVD,ftgsvd,FITSUNIT,INT,INT,LONGV,LONGV,LONGV,LONGV,DOUBLE,DOUBLEV,PLOGICAL,PINT)
subroutine ftgsvd_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), dimension(:) :: a4  ! LONGV
  integer(kind=c_int), dimension(:) :: a5  ! LONGV
  integer(kind=c_int), dimension(:) :: a6  ! LONGV
  integer(kind=c_int), dimension(:) :: a7  ! LONGV
  real(kind=c_double), intent(in), value :: a8  ! DOUBLE
  real(kind=c_double), dimension(:) :: a9  ! DOUBLEV
  integer(kind=c_int), intent(inout) :: a10  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a11  ! PINT

  call ftgsvd(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
end subroutine ftgsvd_w

! FCALLSCSUB11(Cffgsfb,FTGSFB,ftgsfb,FITSUNIT,INT,INT,LONGV,LONGV,LONGV,LONGV,BYTEV,INTV,PLOGICAL,PINT)
subroutine ftgsfb_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), dimension(:) :: a4  ! LONGV
  integer(kind=c_int), dimension(:) :: a5  ! LONGV
  integer(kind=c_int), dimension(:) :: a6  ! LONGV
  integer(kind=c_int), dimension(:) :: a7  ! LONGV
  integer(kind=c_int8_t), dimension(:) :: a8  ! BYTEV
  integer(kind=c_int), dimension(:) :: a9  ! INTV
  integer(kind=c_int), intent(inout) :: a10  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a11  ! PINT

  call ftgsfb(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
end subroutine ftgsfb_w

! FCALLSCSUB11(Cffgsfi,FTGSFI,ftgsfi,FITSUNIT,INT,INT,LONGV,LONGV,LONGV,LONGV,SHORTV,INTV,PLOGICAL,PINT)
subroutine ftgsfi_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), dimension(:) :: a4  ! LONGV
  integer(kind=c_int), dimension(:) :: a5  ! LONGV
  integer(kind=c_int), dimension(:) :: a6  ! LONGV
  integer(kind=c_int), dimension(:) :: a7  ! LONGV
  integer(kind=c_short), dimension(:) :: a8  ! SHORTV
  integer(kind=c_int), dimension(:) :: a9  ! INTV
  integer(kind=c_int), intent(inout) :: a10  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a11  ! PINT

  call ftgsfi(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
end subroutine ftgsfi_w

! FCALLSCSUB11(Cffgsfk,FTGSFJ,ftgsfj,FITSUNIT,INT,INT,LONGV,LONGV,LONGV,LONGV,INTV,INTV,PLOGICAL,PINT)
subroutine ftgsfj_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), dimension(:) :: a4  ! LONGV
  integer(kind=c_int), dimension(:) :: a5  ! LONGV
  integer(kind=c_int), dimension(:) :: a6  ! LONGV
  integer(kind=c_int), dimension(:) :: a7  ! LONGV
  integer(kind=c_int), dimension(:) :: a8  ! INTV
  integer(kind=c_int), dimension(:) :: a9  ! INTV
  integer(kind=c_int), intent(inout) :: a10  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a11  ! PINT

  call ftgsfj(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
end subroutine ftgsfj_w

! FCALLSCSUB11(Cffgsfjj,FTGSFK,ftgsfk,FITSUNIT,INT,INT,LONGV,LONGV,LONGV,LONGV,LONGLONGV,INTV,PLOGICAL,PINT)
subroutine ftgsfk_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), dimension(:) :: a4  ! LONGV
  integer(kind=c_int), dimension(:) :: a5  ! LONGV
  integer(kind=c_int), dimension(:) :: a6  ! LONGV
  integer(kind=c_int), dimension(:) :: a7  ! LONGV
  integer(kind=c_long_long), dimension(:) :: a8  ! LONGLONGV
  integer(kind=c_int), dimension(:) :: a9  ! INTV
  integer(kind=c_int), intent(inout) :: a10  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a11  ! PINT

  call ftgsfk(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
end subroutine ftgsfk_w

! FCALLSCSUB11(Cffgsfe,FTGSFE,ftgsfe,FITSUNIT,INT,INT,LONGV,LONGV,LONGV,LONGV,FLOATV,INTV,PLOGICAL,PINT)
subroutine ftgsfe_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), dimension(:) :: a4  ! LONGV
  integer(kind=c_int), dimension(:) :: a5  ! LONGV
  integer(kind=c_int), dimension(:) :: a6  ! LONGV
  integer(kind=c_int), dimension(:) :: a7  ! LONGV
  real(kind=c_float), dimension(:) :: a8  ! FLOATV
  integer(kind=c_int), dimension(:) :: a9  ! INTV
  integer(kind=c_int), intent(inout) :: a10  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a11  ! PINT

  call ftgsfe(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
end subroutine ftgsfe_w

! FCALLSCSUB11(Cffgsfd,FTGSFD,ftgsfd,FITSUNIT,INT,INT,LONGV,LONGV,LONGV,LONGV,DOUBLEV,INTV,PLOGICAL,PINT)
subroutine ftgsfd_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), dimension(:) :: a4  ! LONGV
  integer(kind=c_int), dimension(:) :: a5  ! LONGV
  integer(kind=c_int), dimension(:) :: a6  ! LONGV
  integer(kind=c_int), dimension(:) :: a7  ! LONGV
  real(kind=c_double), dimension(:) :: a8  ! DOUBLEV
  integer(kind=c_int), dimension(:) :: a9  ! INTV
  integer(kind=c_int), intent(inout) :: a10  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a11  ! PINT

  call ftgsfd(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
end subroutine ftgsfd_w

! FCALLSCSUB6(ffggpb,FTGGPB,ftggpb,FITSUNIT,LONG,LONG,LONG,BYTEV,PINT)
subroutine ftggpb_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int8_t), dimension(:) :: a5  ! BYTEV
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftggpb(a1, a2, a3, a4, a5, a6)
end subroutine ftggpb_w

! FCALLSCSUB6(ffggpi,FTGGPI,ftggpi,FITSUNIT,LONG,LONG,LONG,SHORTV,PINT)
subroutine ftggpi_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_short), dimension(:) :: a5  ! SHORTV
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftggpi(a1, a2, a3, a4, a5, a6)
end subroutine ftggpi_w

! FCALLSCSUB6(ffggpk,FTGGPJ,ftggpj,FITSUNIT,LONG,LONG,LONG,INTV,PINT)
subroutine ftggpj_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), dimension(:) :: a5  ! INTV
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftggpj(a1, a2, a3, a4, a5, a6)
end subroutine ftggpj_w

! FCALLSCSUB6(ffggpjj,FTGGPK,ftggpk,FITSUNIT,LONG,LONG,LONG,LONGLONGV,PINT)
subroutine ftggpk_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_long_long), dimension(:) :: a5  ! LONGLONGV
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftggpk(a1, a2, a3, a4, a5, a6)
end subroutine ftggpk_w

! FCALLSCSUB6(ffggpe,FTGGPE,ftggpe,FITSUNIT,LONG,LONG,LONG,FLOATV,PINT)
subroutine ftggpe_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  real(kind=c_float), dimension(:) :: a5  ! FLOATV
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftggpe(a1, a2, a3, a4, a5, a6)
end subroutine ftggpe_w

! FCALLSCSUB6(ffggpd,FTGGPD,ftggpd,FITSUNIT,LONG,LONG,LONG,DOUBLEV,PINT)
subroutine ftggpd_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  real(kind=c_double), dimension(:) :: a5  ! DOUBLEV
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftggpd(a1, a2, a3, a4, a5, a6)
end subroutine ftggpd_w

! FCALLSCSUB7(ffgcl,FTGCL,ftgcl,FITSUNIT,INT,LONG,LONG,LONG,LOGICALV,PINT)
subroutine ftgcl_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), dimension(:) :: a6  ! LOGICALV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftgcl(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftgcl_w

! FCALLSCSUB9(ffgcvl,FTGCVL,ftgcvl,FITSUNIT,INT,LONG,LONG,LONG,LOGICAL,LOGICALV,PLOGICAL,PINT)
subroutine ftgcvl_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(in), value :: a6  ! LOGICAL
  integer(kind=c_int), dimension(:) :: a7  ! LOGICALV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcvl(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcvl_w

! FCALLSCSUB9(ffgcvb,FTGCVB,ftgcvb,FITSUNIT,INT,LONG,LONG,LONG,BYTE,BYTEV,PLOGICAL,PINT)
subroutine ftgcvb_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int8_t), intent(in), value :: a6  ! BYTE
  integer(kind=c_int8_t), dimension(:) :: a7  ! BYTEV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcvb(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcvb_w

! FCALLSCSUB9(ffgcvi,FTGCVI,ftgcvi,FITSUNIT,INT,LONG,LONG,LONG,SHORT,SHORTV,PLOGICAL,PINT)
subroutine ftgcvi_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_short), intent(in), value :: a6  ! SHORT
  integer(kind=c_short), dimension(:) :: a7  ! SHORTV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcvi(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcvi_w

! FCALLSCSUB9(ffgcvk,FTGCVJ,ftgcvj,FITSUNIT,INT,LONG,LONG,LONG,INT,INTV,PLOGICAL,PINT)
subroutine ftgcvj_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(in), value :: a6  ! INT
  integer(kind=c_int), dimension(:) :: a7  ! INTV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcvj(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcvj_w

! FCALLSCSUB9(ffgcvjj,FTGCVK,ftgcvk,FITSUNIT,INT,LONG,LONG,LONG,LONGLONG,LONGLONGV,PLOGICAL,PINT)
subroutine ftgcvk_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_long_long), intent(in), value :: a6  ! LONGLONG
  integer(kind=c_long_long), dimension(:) :: a7  ! LONGLONGV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcvk(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcvk_w

! FCALLSCSUB9(ffgcve,FTGCVE,ftgcve,FITSUNIT,INT,LONG,LONG,LONG,FLOAT,FLOATV,PLOGICAL,PINT)
subroutine ftgcve_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  real(kind=c_float), intent(in), value :: a6  ! FLOAT
  real(kind=c_float), dimension(:) :: a7  ! FLOATV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcve(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcve_w

! FCALLSCSUB9(ffgcvd,FTGCVD,ftgcvd,FITSUNIT,INT,LONG,LONG,LONG,DOUBLE,DOUBLEV,PLOGICAL,PINT)
subroutine ftgcvd_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  real(kind=c_double), intent(in), value :: a6  ! DOUBLE
  real(kind=c_double), dimension(:) :: a7  ! DOUBLEV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcvd(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcvd_w

! FCALLSCSUB9(ffgcvc,FTGCVC,ftgcvc,FITSUNIT,INT,LONG,LONG,LONG,FLOAT,FLOATV,PLOGICAL,PINT)
subroutine ftgcvc_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  real(kind=c_float), intent(in), value :: a6  ! FLOAT
  real(kind=c_float), dimension(:) :: a7  ! FLOATV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcvc(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcvc_w

! FCALLSCSUB9(ffgcvm,FTGCVM,ftgcvm,FITSUNIT,INT,LONG,LONG,LONG,DOUBLE,DOUBLEV,PLOGICAL,PINT)
subroutine ftgcvm_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  real(kind=c_double), intent(in), value :: a6  ! DOUBLE
  real(kind=c_double), dimension(:) :: a7  ! DOUBLEV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcvm(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcvm_w

! FCALLSCSUB9(ffgcvl,FTGCVLLL,ftgcvlll,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,LOGICAL,LOGICALV,PLOGICAL,PINT)
subroutine ftgcvlll_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(in), value :: a6  ! LOGICAL
  integer(kind=c_int), dimension(:) :: a7  ! LOGICALV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcvlll(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcvlll_w

! FCALLSCSUB9(ffgcvb,FTGCVBLL,ftgcvbll,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,BYTE,BYTEV,PLOGICAL,PINT)
subroutine ftgcvbll_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int8_t), intent(in), value :: a6  ! BYTE
  integer(kind=c_int8_t), dimension(:) :: a7  ! BYTEV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcvbll(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcvbll_w

! FCALLSCSUB9(ffgcvi,FTGCVILL,ftgcvill,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,SHORT,SHORTV,PLOGICAL,PINT)
subroutine ftgcvill_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_short), intent(in), value :: a6  ! SHORT
  integer(kind=c_short), dimension(:) :: a7  ! SHORTV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcvill(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcvill_w

! FCALLSCSUB9(ffgcvk,FTGCVJLL,ftgcvjll,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,INT,INTV,PLOGICAL,PINT)
subroutine ftgcvjll_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(in), value :: a6  ! INT
  integer(kind=c_int), dimension(:) :: a7  ! INTV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcvjll(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcvjll_w

! FCALLSCSUB9(ffgcvjj,FTGCVKLL,ftgcvkll,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,LONGLONG,LONGLONGV,PLOGICAL,PINT)
subroutine ftgcvkll_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_long_long), intent(in), value :: a6  ! LONGLONG
  integer(kind=c_long_long), dimension(:) :: a7  ! LONGLONGV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcvkll(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcvkll_w

! FCALLSCSUB9(ffgcve,FTGCVELL,ftgcvell,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,FLOAT,FLOATV,PLOGICAL,PINT)
subroutine ftgcvell_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  real(kind=c_float), intent(in), value :: a6  ! FLOAT
  real(kind=c_float), dimension(:) :: a7  ! FLOATV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcvell(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcvell_w

! FCALLSCSUB9(ffgcvd,FTGCVDLL,ftgcvdll,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,DOUBLE,DOUBLEV,PLOGICAL,PINT)
subroutine ftgcvdll_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  real(kind=c_double), intent(in), value :: a6  ! DOUBLE
  real(kind=c_double), dimension(:) :: a7  ! DOUBLEV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcvdll(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcvdll_w

! FCALLSCSUB9(ffgcvc,FTGCVCLL,ftgcvcll,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,FLOAT,FLOATV,PLOGICAL,PINT)
subroutine ftgcvcll_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  real(kind=c_float), intent(in), value :: a6  ! FLOAT
  real(kind=c_float), dimension(:) :: a7  ! FLOATV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcvcll(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcvcll_w

! FCALLSCSUB9(ffgcvm,FTGCVMLL,ftgcvmll,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,DOUBLE,DOUBLEV,PLOGICAL,PINT)
subroutine ftgcvmll_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  real(kind=c_double), intent(in), value :: a6  ! DOUBLE
  real(kind=c_double), dimension(:) :: a7  ! DOUBLEV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcvmll(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcvmll_w

! FCALLSCSUB7(ffgcx,FTGCX,ftgcx,FITSUNIT,INT,LONG,LONG,LONG,LOGICALV,PINT)
subroutine ftgcx_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), dimension(:) :: a6  ! LOGICALV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftgcx(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftgcx_w

! FCALLSCSUB8(Cffgcxui,FTGCXI,ftgcxi,FITSUNIT,INT,LONG,LONG,LONG,INT,SHORTV,PINT)
subroutine ftgcxi_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(in), value :: a6  ! INT
  integer(kind=c_short), dimension(:) :: a7  ! SHORTV
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftgcxi(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftgcxi_w

! FCALLSCSUB8(Cffgcxuk,FTGCXJ,ftgcxj,FITSUNIT,INT,LONG,LONG,LONG,INT,INTV,PINT)
subroutine ftgcxj_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(in), value :: a6  ! INT
  integer(kind=c_int), dimension(:) :: a7  ! INTV
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftgcxj(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftgcxj_w

! FCALLSCSUB9(ffgcfl,FTGCFL,ftgcfl,FITSUNIT,INT,LONG,LONG,LONG,LOGICALV,LOGICALV,PLOGICAL,PINT)
subroutine ftgcfl_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), dimension(:) :: a6  ! LOGICALV
  integer(kind=c_int), dimension(:) :: a7  ! LOGICALV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcfl(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcfl_w

! FCALLSCSUB9(ffgcfb,FTGCFB,ftgcfb,FITSUNIT,INT,LONG,LONG,LONG,BYTEV,LOGICALV,PLOGICAL,PINT)
subroutine ftgcfb_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int8_t), dimension(:) :: a6  ! BYTEV
  integer(kind=c_int), dimension(:) :: a7  ! LOGICALV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcfb(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcfb_w

! FCALLSCSUB9(ffgcfi,FTGCFI,ftgcfi,FITSUNIT,INT,LONG,LONG,LONG,SHORTV,LOGICALV,PLOGICAL,PINT)
subroutine ftgcfi_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_short), dimension(:) :: a6  ! SHORTV
  integer(kind=c_int), dimension(:) :: a7  ! LOGICALV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcfi(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcfi_w

! FCALLSCSUB9(ffgcfk,FTGCFJ,ftgcfj,FITSUNIT,INT,LONG,LONG,LONG,INTV,LOGICALV,PLOGICAL,PINT)
subroutine ftgcfj_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), dimension(:) :: a6  ! INTV
  integer(kind=c_int), dimension(:) :: a7  ! LOGICALV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcfj(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcfj_w

! FCALLSCSUB9(ffgcfjj,FTGCFK,ftgcfk,FITSUNIT,INT,LONG,LONG,LONG,LONGLONGV,LOGICALV,PLOGICAL,PINT)
subroutine ftgcfk_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_long_long), dimension(:) :: a6  ! LONGLONGV
  integer(kind=c_int), dimension(:) :: a7  ! LOGICALV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcfk(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcfk_w

! FCALLSCSUB9(ffgcfe,FTGCFE,ftgcfe,FITSUNIT,INT,LONG,LONG,LONG,FLOATV,LOGICALV,PLOGICAL,PINT)
subroutine ftgcfe_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  real(kind=c_float), dimension(:) :: a6  ! FLOATV
  integer(kind=c_int), dimension(:) :: a7  ! LOGICALV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcfe(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcfe_w

! FCALLSCSUB9(ffgcfd,FTGCFD,ftgcfd,FITSUNIT,INT,LONG,LONG,LONG,DOUBLEV,LOGICALV,PLOGICAL,PINT)
subroutine ftgcfd_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  real(kind=c_double), dimension(:) :: a6  ! DOUBLEV
  integer(kind=c_int), dimension(:) :: a7  ! LOGICALV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcfd(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcfd_w

! FCALLSCSUB9(Cffgcfc,FTGCFC,ftgcfc,FITSUNIT,INT,LONG,LONG,LONG,FLOATV,INTV,PLOGICAL,PINT)
subroutine ftgcfc_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  real(kind=c_float), dimension(:) :: a6  ! FLOATV
  integer(kind=c_int), dimension(:) :: a7  ! INTV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcfc(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcfc_w

! FCALLSCSUB9(Cffgcfm,FTGCFM,ftgcfm,FITSUNIT,INT,LONG,LONG,LONG,DOUBLEV,INTV,PLOGICAL,PINT)
subroutine ftgcfm_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  real(kind=c_double), dimension(:) :: a6  ! DOUBLEV
  integer(kind=c_int), dimension(:) :: a7  ! INTV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcfm(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcfm_w

! FCALLSCSUB9(ffgcfb,FTGCFBLL,ftgcfbll,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,BYTEV,LOGICALV,PLOGICAL,PINT)
subroutine ftgcfbll_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int8_t), dimension(:) :: a6  ! BYTEV
  integer(kind=c_int), dimension(:) :: a7  ! LOGICALV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcfbll(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcfbll_w

! FCALLSCSUB9(ffgcfi,FTGCFILL,ftgcfill,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,SHORTV,LOGICALV,PLOGICAL,PINT)
subroutine ftgcfill_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_short), dimension(:) :: a6  ! SHORTV
  integer(kind=c_int), dimension(:) :: a7  ! LOGICALV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcfill(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcfill_w

! FCALLSCSUB9(ffgcfk,FTGCFJLL,ftgcfjll,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,INTV,LOGICALV,PLOGICAL,PINT)
subroutine ftgcfjll_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), dimension(:) :: a6  ! INTV
  integer(kind=c_int), dimension(:) :: a7  ! LOGICALV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcfjll(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcfjll_w

! FCALLSCSUB9(ffgcfjj,FTGCFKLL,ftgcfkll,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,LONGLONGV,LOGICALV,PLOGICAL,PINT)
subroutine ftgcfkll_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_long_long), dimension(:) :: a6  ! LONGLONGV
  integer(kind=c_int), dimension(:) :: a7  ! LOGICALV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcfkll(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcfkll_w

! FCALLSCSUB9(ffgcfe,FTGCFELL,ftgcfell,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,FLOATV,LOGICALV,PLOGICAL,PINT)
subroutine ftgcfell_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  real(kind=c_float), dimension(:) :: a6  ! FLOATV
  integer(kind=c_int), dimension(:) :: a7  ! LOGICALV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcfell(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcfell_w

! FCALLSCSUB9(ffgcfd,FTGCFDLL,ftgcfdll,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,DOUBLEV,LOGICALV,PLOGICAL,PINT)
subroutine ftgcfdll_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  real(kind=c_double), dimension(:) :: a6  ! DOUBLEV
  integer(kind=c_int), dimension(:) :: a7  ! LOGICALV
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftgcfdll(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftgcfdll_w

! FCALLSCSUB6(ffgdes,FTGDES,ftgdes,FITSUNIT,INT,LONG,PLONG,PLONG,PINT)
subroutine ftgdes_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(inout) :: a4  ! PLONG
  integer(kind=c_int), intent(inout) :: a5  ! PLONG
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftgdes(a1, a2, a3, a4, a5, a6)
end subroutine ftgdes_w

! FCALLSCSUB6(ffgdesll,FTGDESLL,ftgdesll,FITSUNIT,INT,LONG,PLONGLONG,PLONGLONG,PINT)
subroutine ftgdesll_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_long_long), intent(inout) :: a4  ! PLONGLONG
  integer(kind=c_long_long), intent(inout) :: a5  ! PLONGLONG
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftgdesll(a1, a2, a3, a4, a5, a6)
end subroutine ftgdesll_w

! FCALLSCSUB7(ffgdess,FTGDESS,ftgdess,FITSUNIT,INT,LONG,LONG,LONGV,LONGV,PINT)
subroutine ftgdess_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), dimension(:) :: a5  ! LONGV
  integer(kind=c_int), dimension(:) :: a6  ! LONGV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftgdess(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftgdess_w

! FCALLSCSUB7(ffgdessll,FTGDESSLL,ftgdessll,FITSUNIT,INT,LONG,LONG,LONGLONGV,LONGLONGV,PINT)
subroutine ftgdessll_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_long_long), dimension(:) :: a5  ! LONGLONGV
  integer(kind=c_long_long), dimension(:) :: a6  ! LONGLONGV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftgdessll(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftgdessll_w

! FCALLSCSUB6(ffgtbb,FTGTBB,ftgtbb,FITSUNIT,LONG,LONG,LONG,BYTEV,PINT)
subroutine ftgtbb_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int8_t), dimension(:) :: a5  ! BYTEV
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftgtbb(a1, a2, a3, a4, a5, a6)
end subroutine ftgtbb_w

! FCALLSCSUB6(ffgtbb,FTGTBS,ftgtbs,FITSUNIT,LONG,LONG,LONG,BYTEV,PINT)
subroutine ftgtbs_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int8_t), dimension(:) :: a5  ! BYTEV
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftgtbs(a1, a2, a3, a4, a5, a6)
end subroutine ftgtbs_w

! FCALLSCSUB6(ffpprb,FTPPRB,ftpprb,FITSUNIT,LONG,LONG,LONG,BYTEV,PINT)
subroutine ftpprb_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int8_t), dimension(:) :: a5  ! BYTEV
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftpprb(a1, a2, a3, a4, a5, a6)
end subroutine ftpprb_w

! FCALLSCSUB6(ffppri,FTPPRI,ftppri,FITSUNIT,LONG,LONG,LONG,SHORTV,PINT)
subroutine ftppri_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_short), dimension(:) :: a5  ! SHORTV
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftppri(a1, a2, a3, a4, a5, a6)
end subroutine ftppri_w

! FCALLSCSUB6(ffpprk,FTPPRJ,ftpprj,FITSUNIT,LONG,LONG,LONG,INTV,PINT)
subroutine ftpprj_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), dimension(:) :: a5  ! INTV
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftpprj(a1, a2, a3, a4, a5, a6)
end subroutine ftpprj_w

! FCALLSCSUB6(ffpprjj,FTPPRK,ftpprk,FITSUNIT,LONG,LONG,LONG,LONGLONGV,PINT)
subroutine ftpprk_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_long_long), dimension(:) :: a5  ! LONGLONGV
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftpprk(a1, a2, a3, a4, a5, a6)
end subroutine ftpprk_w

! FCALLSCSUB6(ffppre,FTPPRE,ftppre,FITSUNIT,LONG,LONG,LONG,FLOATV,PINT)
subroutine ftppre_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  real(kind=c_float), dimension(:) :: a5  ! FLOATV
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftppre(a1, a2, a3, a4, a5, a6)
end subroutine ftppre_w

! FCALLSCSUB6(ffpprd,FTPPRD,ftpprd,FITSUNIT,LONG,LONG,LONG,DOUBLEV,PINT)
subroutine ftpprd_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  real(kind=c_double), dimension(:) :: a5  ! DOUBLEV
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftpprd(a1, a2, a3, a4, a5, a6)
end subroutine ftpprd_w

! FCALLSCSUB7(ffppnb,FTPPNB,ftppnb,FITSUNIT,LONG,LONG,LONG,BYTEV,BYTE,PINT)
subroutine ftppnb_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int8_t), dimension(:) :: a5  ! BYTEV
  integer(kind=c_int8_t), intent(in), value :: a6  ! BYTE
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftppnb(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftppnb_w

! FCALLSCSUB7(ffppni,FTPPNI,ftppni,FITSUNIT,LONG,LONG,LONG,SHORTV,SHORT,PINT)
subroutine ftppni_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_short), dimension(:) :: a5  ! SHORTV
  integer(kind=c_short), intent(in), value :: a6  ! SHORT
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftppni(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftppni_w

! FCALLSCSUB7(ffppnk,FTPPNJ,ftppnj,FITSUNIT,LONG,LONG,LONG,INTV,INT,PINT)
subroutine ftppnj_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), dimension(:) :: a5  ! INTV
  integer(kind=c_int), intent(in), value :: a6  ! INT
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftppnj(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftppnj_w

! FCALLSCSUB7(ffppnjj,FTPPNK,ftppnk,FITSUNIT,LONG,LONG,LONG,LONGLONGV,LONGLONG,PINT)
subroutine ftppnk_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_long_long), dimension(:) :: a5  ! LONGLONGV
  integer(kind=c_long_long), intent(in), value :: a6  ! LONGLONG
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftppnk(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftppnk_w

! FCALLSCSUB7(ffppne,FTPPNE,ftppne,FITSUNIT,LONG,LONG,LONG,FLOATV,FLOAT,PINT)
subroutine ftppne_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  real(kind=c_float), dimension(:) :: a5  ! FLOATV
  real(kind=c_float), intent(in), value :: a6  ! FLOAT
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftppne(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftppne_w

! FCALLSCSUB7(ffppnd,FTPPND,ftppnd,FITSUNIT,LONG,LONG,LONG,DOUBLEV,DOUBLE,PINT)
subroutine ftppnd_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  real(kind=c_double), dimension(:) :: a5  ! DOUBLEV
  real(kind=c_double), intent(in), value :: a6  ! DOUBLE
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftppnd(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftppnd_w

! FCALLSCSUB7(ffp2db,FTP2DB,ftp2db,FITSUNIT,LONG,LONG,LONG,LONG,BYTEV,PINT)
subroutine ftp2db_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int8_t), dimension(:) :: a6  ! BYTEV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftp2db(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftp2db_w

! FCALLSCSUB7(ffp2di,FTP2DI,ftp2di,FITSUNIT,LONG,LONG,LONG,LONG,SHORTV,PINT)
subroutine ftp2di_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_short), dimension(:) :: a6  ! SHORTV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftp2di(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftp2di_w

! FCALLSCSUB7(ffp2dk,FTP2DJ,ftp2dj,FITSUNIT,LONG,LONG,LONG,LONG,INTV,PINT)
subroutine ftp2dj_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), dimension(:) :: a6  ! INTV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftp2dj(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftp2dj_w

! FCALLSCSUB7(ffp2djj,FTP2DK,ftp2dk,FITSUNIT,LONG,LONG,LONG,LONG,LONGLONGV,PINT)
subroutine ftp2dk_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_long_long), dimension(:) :: a6  ! LONGLONGV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftp2dk(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftp2dk_w

! FCALLSCSUB7(ffp2de,FTP2DE,ftp2de,FITSUNIT,LONG,LONG,LONG,LONG,FLOATV,PINT)
subroutine ftp2de_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  real(kind=c_float), dimension(:) :: a6  ! FLOATV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftp2de(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftp2de_w

! FCALLSCSUB7(ffp2dd,FTP2DD,ftp2dd,FITSUNIT,LONG,LONG,LONG,LONG,DOUBLEV,PINT)
subroutine ftp2dd_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  real(kind=c_double), dimension(:) :: a6  ! DOUBLEV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftp2dd(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftp2dd_w

! FCALLSCSUB9(ffp3db,FTP3DB,ftp3db,FITSUNIT,LONG,LONG,LONG,LONG,LONG,LONG,BYTEV,PINT)
subroutine ftp3db_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(in), value :: a6  ! LONG
  integer(kind=c_int), intent(in), value :: a7  ! LONG
  integer(kind=c_int8_t), dimension(:) :: a8  ! BYTEV
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftp3db(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftp3db_w

! FCALLSCSUB9(ffp3di,FTP3DI,ftp3di,FITSUNIT,LONG,LONG,LONG,LONG,LONG,LONG,SHORTV,PINT)
subroutine ftp3di_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(in), value :: a6  ! LONG
  integer(kind=c_int), intent(in), value :: a7  ! LONG
  integer(kind=c_short), dimension(:) :: a8  ! SHORTV
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftp3di(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftp3di_w

! FCALLSCSUB9(ffp3dk,FTP3DJ,ftp3dj,FITSUNIT,LONG,LONG,LONG,LONG,LONG,LONG,INTV,PINT)
subroutine ftp3dj_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(in), value :: a6  ! LONG
  integer(kind=c_int), intent(in), value :: a7  ! LONG
  integer(kind=c_int), dimension(:) :: a8  ! INTV
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftp3dj(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftp3dj_w

! FCALLSCSUB9(ffp3djj,FTP3DK,ftp3dk,FITSUNIT,LONG,LONG,LONG,LONG,LONG,LONG,LONGLONGV,PINT)
subroutine ftp3dk_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(in), value :: a6  ! LONG
  integer(kind=c_int), intent(in), value :: a7  ! LONG
  integer(kind=c_long_long), dimension(:) :: a8  ! LONGLONGV
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftp3dk(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftp3dk_w

! FCALLSCSUB9(ffp3de,FTP3DE,ftp3de,FITSUNIT,LONG,LONG,LONG,LONG,LONG,LONG,FLOATV,PINT)
subroutine ftp3de_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(in), value :: a6  ! LONG
  integer(kind=c_int), intent(in), value :: a7  ! LONG
  real(kind=c_float), dimension(:) :: a8  ! FLOATV
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftp3de(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftp3de_w

! FCALLSCSUB9(ffp3dd,FTP3DD,ftp3dd,FITSUNIT,LONG,LONG,LONG,LONG,LONG,LONG,DOUBLEV,PINT)
subroutine ftp3dd_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(in), value :: a6  ! LONG
  integer(kind=c_int), intent(in), value :: a7  ! LONG
  real(kind=c_double), dimension(:) :: a8  ! DOUBLEV
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftp3dd(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftp3dd_w

! FCALLSCSUB8(ffpssb,FTPSSB,ftpssb,FITSUNIT,LONG,LONG,LONGV,LONGV,LONGV,BYTEV,PINT)
subroutine ftpssb_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), dimension(:) :: a4  ! LONGV
  integer(kind=c_int), dimension(:) :: a5  ! LONGV
  integer(kind=c_int), dimension(:) :: a6  ! LONGV
  integer(kind=c_int8_t), dimension(:) :: a7  ! BYTEV
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftpssb(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftpssb_w

! FCALLSCSUB8(ffpssi,FTPSSI,ftpssi,FITSUNIT,LONG,LONG,LONGV,LONGV,LONGV,SHORTV,PINT)
subroutine ftpssi_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), dimension(:) :: a4  ! LONGV
  integer(kind=c_int), dimension(:) :: a5  ! LONGV
  integer(kind=c_int), dimension(:) :: a6  ! LONGV
  integer(kind=c_short), dimension(:) :: a7  ! SHORTV
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftpssi(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftpssi_w

! FCALLSCSUB8(ffpssk,FTPSSJ,ftpssj,FITSUNIT,LONG,LONG,LONGV,LONGV,LONGV,INTV,PINT)
subroutine ftpssj_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), dimension(:) :: a4  ! LONGV
  integer(kind=c_int), dimension(:) :: a5  ! LONGV
  integer(kind=c_int), dimension(:) :: a6  ! LONGV
  integer(kind=c_int), dimension(:) :: a7  ! INTV
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftpssj(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftpssj_w

! FCALLSCSUB8(ffpssjj,FTPSSK,ftpssk,FITSUNIT,LONG,LONG,LONGV,LONGV,LONGV,LONGLONGV,PINT)
subroutine ftpssk_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), dimension(:) :: a4  ! LONGV
  integer(kind=c_int), dimension(:) :: a5  ! LONGV
  integer(kind=c_int), dimension(:) :: a6  ! LONGV
  integer(kind=c_long_long), dimension(:) :: a7  ! LONGLONGV
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftpssk(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftpssk_w

! FCALLSCSUB8(ffpsse,FTPSSE,ftpsse,FITSUNIT,LONG,LONG,LONGV,LONGV,LONGV,FLOATV,PINT)
subroutine ftpsse_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), dimension(:) :: a4  ! LONGV
  integer(kind=c_int), dimension(:) :: a5  ! LONGV
  integer(kind=c_int), dimension(:) :: a6  ! LONGV
  real(kind=c_float), dimension(:) :: a7  ! FLOATV
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftpsse(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftpsse_w

! FCALLSCSUB8(ffpssd,FTPSSD,ftpssd,FITSUNIT,LONG,LONG,LONGV,LONGV,LONGV,DOUBLEV,PINT)
subroutine ftpssd_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), dimension(:) :: a4  ! LONGV
  integer(kind=c_int), dimension(:) :: a5  ! LONGV
  integer(kind=c_int), dimension(:) :: a6  ! LONGV
  real(kind=c_double), dimension(:) :: a7  ! DOUBLEV
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftpssd(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftpssd_w

! FCALLSCSUB6(ffpgpb,FTPGPB,ftpgpb,FITSUNIT,LONG,LONG,LONG,BYTEV,PINT)
subroutine ftpgpb_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int8_t), dimension(:) :: a5  ! BYTEV
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftpgpb(a1, a2, a3, a4, a5, a6)
end subroutine ftpgpb_w

! FCALLSCSUB6(ffpgpi,FTPGPI,ftpgpi,FITSUNIT,LONG,LONG,LONG,SHORTV,PINT)
subroutine ftpgpi_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_short), dimension(:) :: a5  ! SHORTV
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftpgpi(a1, a2, a3, a4, a5, a6)
end subroutine ftpgpi_w

! FCALLSCSUB6(ffpgpk,FTPGPJ,ftpgpj,FITSUNIT,LONG,LONG,LONG,INTV,PINT)
subroutine ftpgpj_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), dimension(:) :: a5  ! INTV
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftpgpj(a1, a2, a3, a4, a5, a6)
end subroutine ftpgpj_w

! FCALLSCSUB6(ffpgpjj,FTPGPK,ftpgpk,FITSUNIT,LONG,LONG,LONG,LONGLONGV,PINT)
subroutine ftpgpk_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_long_long), dimension(:) :: a5  ! LONGLONGV
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftpgpk(a1, a2, a3, a4, a5, a6)
end subroutine ftpgpk_w

! FCALLSCSUB6(ffpgpe,FTPGPE,ftpgpe,FITSUNIT,LONG,LONG,LONG,FLOATV,PINT)
subroutine ftpgpe_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  real(kind=c_float), dimension(:) :: a5  ! FLOATV
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftpgpe(a1, a2, a3, a4, a5, a6)
end subroutine ftpgpe_w

! FCALLSCSUB6(ffpgpd,FTPGPD,ftpgpd,FITSUNIT,LONG,LONG,LONG,DOUBLEV,PINT)
subroutine ftpgpd_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  real(kind=c_double), dimension(:) :: a5  ! DOUBLEV
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftpgpd(a1, a2, a3, a4, a5, a6)
end subroutine ftpgpd_w

! FCALLSCSUB5(ffppru,FTPPRU,ftppru,FITSUNIT,LONG,LONG,LONG,PINT)
subroutine ftppru_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftppru(a1, a2, a3, a4, a5)
end subroutine ftppru_w

! FCALLSCSUB4(ffpprn,FTPPRN,ftpprn,FITSUNIT,LONG,LONG,PINT)
subroutine ftpprn_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftpprn(a1, a2, a3, a4)
end subroutine ftpprn_w

! FCALLSCSUB7(ffpcls,FTPCLS,ftpcls,FITSUNIT,INT,LONG,LONG,LONG,STRINGV,PINT)
subroutine ftpcls_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  character(len=*), intent(in), dimension(:) :: a6  ! STRINGV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftpcls(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftpcls_w

! FCALLSCSUB7(ffpcll,FTPCLL,ftpcll,FITSUNIT,INT,LONG,LONG,LONG,LOGICALV,PINT)
subroutine ftpcll_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(in), dimension(:) :: a6  ! LOGICALV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftpcll(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftpcll_w

! FCALLSCSUB7(ffpclb,FTPCLB,ftpclb,FITSUNIT,INT,LONG,LONG,LONG,BYTEV,PINT)
subroutine ftpclb_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int8_t), intent(in), dimension(:) :: a6  ! BYTEV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftpclb(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftpclb_w

! FCALLSCSUB7(ffpcli,FTPCLI,ftpcli,FITSUNIT,INT,LONG,LONG,LONG,SHORTV,PINT)
subroutine ftpcli_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_short), intent(in), dimension(:) :: a6  ! SHORTV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftpcli(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftpcli_w

! FCALLSCSUB7(ffpclk,FTPCLJ,ftpclj,FITSUNIT,INT,LONG,LONG,LONG,INTV,PINT)
subroutine ftpclj_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(in), dimension(:) :: a6  ! INTV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftpclj(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftpclj_w

! FCALLSCSUB7(ffpcljj,FTPCLK,ftpclk,FITSUNIT,INT,LONG,LONG,LONG,LONGLONGV,PINT)
subroutine ftpclk_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_long_long), intent(in), dimension(:) :: a6  ! LONGLONGV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftpclk(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftpclk_w

! FCALLSCSUB7(ffpcle,FTPCLE,ftpcle,FITSUNIT,INT,LONG,LONG,LONG,FLOATV,PINT)
subroutine ftpcle_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  real(kind=c_float), intent(in), dimension(:) :: a6  ! FLOATV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftpcle(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftpcle_w

! FCALLSCSUB7(ffpcld,FTPCLD,ftpcld,FITSUNIT,INT,LONG,LONG,LONG,DOUBLEV,PINT)
subroutine ftpcld_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  real(kind=c_double), intent(in), dimension(:) :: a6  ! DOUBLEV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftpcld(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftpcld_w

! FCALLSCSUB7(ffpclc,FTPCLC,ftpclc,FITSUNIT,INT,LONG,LONG,LONG,FLOATV,PINT)
subroutine ftpclc_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  real(kind=c_float), intent(in), dimension(:) :: a6  ! FLOATV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftpclc(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftpclc_w

! FCALLSCSUB7(ffpclm,FTPCLM,ftpclm,FITSUNIT,INT,LONG,LONG,LONG,DOUBLEV,PINT)
subroutine ftpclm_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  real(kind=c_double), intent(in), dimension(:) :: a6  ! DOUBLEV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftpclm(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftpclm_w

! FCALLSCSUB6(ffpclu,FTPCLU,ftpclu,FITSUNIT,INT,LONG,LONG,LONG,PINT)
subroutine ftpclu_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftpclu(a1, a2, a3, a4, a5, a6)
end subroutine ftpclu_w

! FCALLSCSUB4(ffprwu,FTPRWU,ftprwu,FITSUNIT,LONG,LONG,PINT)
subroutine ftprwu_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftprwu(a1, a2, a3, a4)
end subroutine ftprwu_w

! FCALLSCSUB7(ffpcls,FTPCLSLL,ftpclsll,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,STRINGV,PINT)
subroutine ftpclsll_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  character(len=*), dimension(:) :: a6  ! STRINGV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftpclsll(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftpclsll_w

! FCALLSCSUB7(ffpcll,FTPCLLLL,ftpcllll,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,LOGICALV,PINT)
subroutine ftpcllll_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), dimension(:) :: a6  ! LOGICALV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftpcllll(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftpcllll_w

! FCALLSCSUB7(ffpclb,FTPCLBLL,ftpclbll,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,BYTEV,PINT)
subroutine ftpclbll_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int8_t), dimension(:) :: a6  ! BYTEV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftpclbll(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftpclbll_w

! FCALLSCSUB7(ffpcli,FTPCLILL,ftpclill,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,SHORTV,PINT)
subroutine ftpclill_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_short), dimension(:) :: a6  ! SHORTV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftpclill(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftpclill_w

! FCALLSCSUB7(ffpclk,FTPCLJLL,ftpcljll,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,INTV,PINT)
subroutine ftpcljll_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), dimension(:) :: a6  ! INTV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftpcljll(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftpcljll_w

! FCALLSCSUB7(ffpcljj,FTPCLKLL,ftpclkll,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,LONGLONGV,PINT)
subroutine ftpclkll_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_long_long), dimension(:) :: a6  ! LONGLONGV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftpclkll(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftpclkll_w

! FCALLSCSUB7(ffpcle,FTPCLELL,ftpclell,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,FLOATV,PINT)
subroutine ftpclell_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  real(kind=c_float), dimension(:) :: a6  ! FLOATV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftpclell(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftpclell_w

! FCALLSCSUB7(ffpcld,FTPCLDLL,ftpcldll,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,DOUBLEV,PINT)
subroutine ftpcldll_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  real(kind=c_double), dimension(:) :: a6  ! DOUBLEV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftpcldll(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftpcldll_w

! FCALLSCSUB7(ffpclc,FTPCLCLL,ftpclcll,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,FLOATV,PINT)
subroutine ftpclcll_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  real(kind=c_float), dimension(:) :: a6  ! FLOATV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftpclcll(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftpclcll_w

! FCALLSCSUB7(ffpclm,FTPCLMLL,ftpclmll,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,DOUBLEV,PINT)
subroutine ftpclmll_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  real(kind=c_double), dimension(:) :: a6  ! DOUBLEV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftpclmll(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftpclmll_w

! FCALLSCSUB6(ffpclu,FTPCLULL,ftpclull,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,PINT)
subroutine ftpclull_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftpclull(a1, a2, a3, a4, a5, a6)
end subroutine ftpclull_w

! FCALLSCSUB7(ffpclx,FTPCLX,ftpclx,FITSUNIT,INT,LONG,LONG,LONG,LOGICALV,PINT)
subroutine ftpclx_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), dimension(:) :: a6  ! LOGICALV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftpclx(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftpclx_w

! FCALLSCSUB8(ffpcns,FTPCNS,ftpcns,FITSUNIT,INT,LONG,LONG,LONG,STRINGV,STRING,PINT)
subroutine ftpcns_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  character(len=*), dimension(:) :: a6  ! STRINGV
  character(len=*), intent(in) :: a7  ! STRING
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftpcns(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftpcns_w

! FCALLSCSUB8(ffpcnb,FTPCNB,ftpcnb,FITSUNIT,INT,LONG,LONG,LONG,BYTEV,BYTE,PINT)
subroutine ftpcnb_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int8_t), dimension(:) :: a6  ! BYTEV
  integer(kind=c_int8_t), intent(in), value :: a7  ! BYTE
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftpcnb(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftpcnb_w

! FCALLSCSUB8(ffpcni,FTPCNI,ftpcni,FITSUNIT,INT,LONG,LONG,LONG,SHORTV,SHORT,PINT)
subroutine ftpcni_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_short), dimension(:) :: a6  ! SHORTV
  integer(kind=c_short), intent(in), value :: a7  ! SHORT
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftpcni(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftpcni_w

! FCALLSCSUB8(ffpcnk,FTPCNJ,ftpcnj,FITSUNIT,INT,LONG,LONG,LONG,INTV,INT,PINT)
subroutine ftpcnj_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), dimension(:) :: a6  ! INTV
  integer(kind=c_int), intent(in), value :: a7  ! INT
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftpcnj(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftpcnj_w

! FCALLSCSUB8(ffpcnjj,FTPCNK,ftpcnk,FITSUNIT,INT,LONG,LONG,LONG,LONGLONGV,LONGLONG,PINT)
subroutine ftpcnk_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_long_long), dimension(:) :: a6  ! LONGLONGV
  integer(kind=c_long_long), intent(in), value :: a7  ! LONGLONG
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftpcnk(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftpcnk_w

! FCALLSCSUB8(ffpcne,FTPCNE,ftpcne,FITSUNIT,INT,LONG,LONG,LONG,FLOATV,FLOAT,PINT)
subroutine ftpcne_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  real(kind=c_float), dimension(:) :: a6  ! FLOATV
  real(kind=c_float), intent(in), value :: a7  ! FLOAT
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftpcne(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftpcne_w

! FCALLSCSUB8(ffpcnd,FTPCND,ftpcnd,FITSUNIT,INT,LONG,LONG,LONG,DOUBLEV,DOUBLE,PINT)
subroutine ftpcnd_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  real(kind=c_double), dimension(:) :: a6  ! DOUBLEV
  real(kind=c_double), intent(in), value :: a7  ! DOUBLE
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftpcnd(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftpcnd_w

! FCALLSCSUB8(ffpcns,FTPCNSLL,ftpcnsll,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,STRINGV,STRING,PINT)
subroutine ftpcnsll_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  character(len=*), dimension(:) :: a6  ! STRINGV
  character(len=*), intent(in) :: a7  ! STRING
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftpcnsll(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftpcnsll_w

! FCALLSCSUB8(ffpcnb,FTPCNBLL,ftpcnbll,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,BYTEV,BYTE,PINT)
subroutine ftpcnbll_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int8_t), dimension(:) :: a6  ! BYTEV
  integer(kind=c_int8_t), intent(in), value :: a7  ! BYTE
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftpcnbll(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftpcnbll_w

! FCALLSCSUB8(ffpcni,FTPCNILL,ftpcnill,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,SHORTV,SHORT,PINT)
subroutine ftpcnill_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_short), dimension(:) :: a6  ! SHORTV
  integer(kind=c_short), intent(in), value :: a7  ! SHORT
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftpcnill(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftpcnill_w

! FCALLSCSUB8(ffpcnk,FTPCNJLL,ftpcnjll,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,INTV,INT,PINT)
subroutine ftpcnjll_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), dimension(:) :: a6  ! INTV
  integer(kind=c_int), intent(in), value :: a7  ! INT
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftpcnjll(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftpcnjll_w

! FCALLSCSUB8(ffpcnjj,FTPCNKLL,ftpcnkll,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,LONGLONGV,LONGLONG,PINT)
subroutine ftpcnkll_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_long_long), dimension(:) :: a6  ! LONGLONGV
  integer(kind=c_long_long), intent(in), value :: a7  ! LONGLONG
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftpcnkll(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftpcnkll_w

! FCALLSCSUB8(ffpcne,FTPCNELL,ftpcnell,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,FLOATV,FLOAT,PINT)
subroutine ftpcnell_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  real(kind=c_float), dimension(:) :: a6  ! FLOATV
  real(kind=c_float), intent(in), value :: a7  ! FLOAT
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftpcnell(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftpcnell_w

! FCALLSCSUB8(ffpcnd,FTPCNDLL,ftpcndll,FITSUNIT,INT,LONGLONG,LONGLONG,LONG,DOUBLEV,DOUBLE,PINT)
subroutine ftpcndll_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  real(kind=c_double), dimension(:) :: a6  ! DOUBLEV
  real(kind=c_double), intent(in), value :: a7  ! DOUBLE
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftpcndll(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftpcndll_w

! FCALLSCSUB6(ffpdes,FTPDES,ftpdes,FITSUNIT,INT,LONG,LONG,LONG,PINT)
subroutine ftpdes_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftpdes(a1, a2, a3, a4, a5, a6)
end subroutine ftpdes_w

! FCALLSCSUB6(ffpdes,FTPDESLL,ftpdesll,FITSUNIT,INT,LONG,LONGLONG,LONGLONG,PINT)
subroutine ftpdesll_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_long_long), intent(in), value :: a4  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a5  ! LONGLONG
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftpdesll(a1, a2, a3, a4, a5, a6)
end subroutine ftpdesll_w

! FCALLSCSUB6(ffptbb,FTPTBB,ftptbb,FITSUNIT,LONG,LONG,LONG,BYTEV,PINT)
subroutine ftptbb_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int8_t), dimension(:) :: a5  ! BYTEV
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftptbb(a1, a2, a3, a4, a5, a6)
end subroutine ftptbb_w

! FCALLSCSUB6(ffptbb,FTPTBS,ftptbs,FITSUNIT,LONG,LONG,LONG,BYTEV,PINT)
subroutine ftptbs_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int8_t), dimension(:) :: a5  ! BYTEV
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftptbs(a1, a2, a3, a4, a5, a6)
end subroutine ftptbs_w

! FCALLSCSUB4(ffirow,FTIROW,ftirow,FITSUNIT,LONG,LONG,PINT)
subroutine ftirow_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftirow(a1, a2, a3, a4)
end subroutine ftirow_w

! FCALLSCSUB4(ffirow,FTIROWLL,ftirowll,FITSUNIT,LONGLONG,LONGLONG,PINT)
subroutine ftirowll_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_long_long), intent(in), value :: a2  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftirowll(a1, a2, a3, a4)
end subroutine ftirowll_w

! FCALLSCSUB4(ffdrow,FTDROW,ftdrow,FITSUNIT,LONG,LONG,PINT)
subroutine ftdrow_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftdrow(a1, a2, a3, a4)
end subroutine ftdrow_w

! FCALLSCSUB4(ffdrow,FTDROWLL,ftdrowll,FITSUNIT,LONGLONG,LONGLONG,PINT)
subroutine ftdrowll_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_long_long), intent(in), value :: a2  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftdrowll(a1, a2, a3, a4)
end subroutine ftdrowll_w

! FCALLSCSUB3(ffdrrg,FTDRRG,ftdrrg,FITSUNIT,STRING,PINT)
subroutine ftdrrg_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftdrrg(a1, a2, a3)
end subroutine ftdrrg_w

! FCALLSCSUB4(ffdrws,FTDRWS,ftdrws,FITSUNIT,LONGV,LONG,PINT)
subroutine ftdrws_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), dimension(:) :: a2  ! LONGV
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftdrws(a1, a2, a3, a4)
end subroutine ftdrws_w

! FCALLSCSUB5(fficol,FTICOL,fticol,FITSUNIT,INT,STRING,STRING,PINT)
subroutine fticol_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  character(len=*), intent(in) :: a3  ! STRING
  character(len=*), intent(in) :: a4  ! STRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call fticol(a1, a2, a3, a4, a5)
end subroutine fticol_w

! FCALLSCSUB6(fficls,FTICLS,fticls,FITSUNIT,INT,INT,STRINGV,STRINGV,PINT)
subroutine fticls_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  character(len=*), dimension(:) :: a4  ! STRINGV
  character(len=*), dimension(:) :: a5  ! STRINGV
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call fticls(a1, a2, a3, a4, a5, a6)
end subroutine fticls_w

! FCALLSCSUB4(ffmvec,FTMVEC,ftmvec,FITSUNIT,INT,LONG,PINT)
subroutine ftmvec_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftmvec(a1, a2, a3, a4)
end subroutine ftmvec_w

! FCALLSCSUB3(ffdcol,FTDCOL,ftdcol,FITSUNIT,INT,PINT)
subroutine ftdcol_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftdcol(a1, a2, a3)
end subroutine ftdcol_w

! FCALLSCSUB6(ffcpcl,FTCPCL,ftcpcl,FITSUNIT,FITSUNIT,INT,INT,INT,PINT)
subroutine ftcpcl_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  integer(kind=c_int), intent(in), value :: a5  ! INT
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftcpcl(a1, a2, a3, a4, a5, a6)
end subroutine ftcpcl_w

! FCALLSCSUB3(ffprec,FTPREC,ftprec,FITSUNIT,STRING,PINT)
subroutine ftprec_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftprec(a1, a2, a3)
end subroutine ftprec_w

! FCALLSCSUB3(ffpcom,FTPCOM,ftpcom,FITSUNIT,STRING,PINT)
subroutine ftpcom_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftpcom(a1, a2, a3)
end subroutine ftpcom_w

! FCALLSCSUB4(ffpunt,FTPUNT,ftpunt,FITSUNIT,STRING,STRING,PINT)
subroutine ftpunt_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  character(len=*), intent(in) :: a3  ! STRING
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftpunt(a1, a2, a3, a4)
end subroutine ftpunt_w

! FCALLSCSUB3(ffphis,FTPHIS,ftphis,FITSUNIT,STRING,PINT)
subroutine ftphis_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftphis(a1, a2, a3)
end subroutine ftphis_w

! FCALLSCSUB2(ffpdat,FTPDAT,ftpdat,FITSUNIT,PINT)
subroutine ftpdat_w(a1, a2)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PINT

  call ftpdat(a1, a2)
end subroutine ftpdat_w

! FCALLSCSUB3(ffgstm,FTGSTM,ftgstm,PSTRING,PINT,PINT)
subroutine ftgstm_w(a1, a2, a3)
  character(len=*), intent(inout) :: a1  ! PSTRING
  integer(kind=c_int), intent(inout) :: a2  ! PINT
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftgstm(a1, a2, a3)
end subroutine ftgstm_w

! FCALLSCSUB4(ffgsdt,FTGSDT,ftgsdt,PINT,PINT,PINT,PINT)
subroutine ftgsdt_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(inout) :: a1  ! PINT
  integer(kind=c_int), intent(inout) :: a2  ! PINT
  integer(kind=c_int), intent(inout) :: a3  ! PINT
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftgsdt(a1, a2, a3, a4)
end subroutine ftgsdt_w

! FCALLSCSUB5(ffdt2s,FTDT2S,ftdt2s,INT,INT,INT,PSTRING,PINT)
subroutine ftdt2s_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! INT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  character(len=*), intent(inout) :: a4  ! PSTRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftdt2s(a1, a2, a3, a4, a5)
end subroutine ftdt2s_w

! FCALLSCSUB9(fftm2s,FTTM2S,fttm2s,INT,INT,INT,INT,INT,DOUBLE,INT,PSTRING,PINT)
subroutine fttm2s_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! INT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  integer(kind=c_int), intent(in), value :: a5  ! INT
  real(kind=c_double), intent(in), value :: a6  ! DOUBLE
  integer(kind=c_int), intent(in), value :: a7  ! INT
  character(len=*), intent(inout) :: a8  ! PSTRING
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call fttm2s(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine fttm2s_w

! FCALLSCSUB5(ffs2dt,FTS2DT,fts2dt,STRING,PINT,PINT,PINT,PINT)
subroutine fts2dt_w(a1, a2, a3, a4, a5)
  character(len=*), intent(in) :: a1  ! STRING
  integer(kind=c_int), intent(inout) :: a2  ! PINT
  integer(kind=c_int), intent(inout) :: a3  ! PINT
  integer(kind=c_int), intent(inout) :: a4  ! PINT
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call fts2dt(a1, a2, a3, a4, a5)
end subroutine fts2dt_w

! FCALLSCSUB8(ffs2tm,FTS2TM,fts2tm,STRING,PINT,PINT,PINT,PINT,PINT,PDOUBLE,PINT)
subroutine fts2tm_w(a1, a2, a3, a4, a5, a6, a7, a8)
  character(len=*), intent(in) :: a1  ! STRING
  integer(kind=c_int), intent(inout) :: a2  ! PINT
  integer(kind=c_int), intent(inout) :: a3  ! PINT
  integer(kind=c_int), intent(inout) :: a4  ! PINT
  integer(kind=c_int), intent(inout) :: a5  ! PINT
  integer(kind=c_int), intent(inout) :: a6  ! PINT
  real(kind=c_double), intent(inout) :: a7  ! PDOUBLE
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call fts2tm(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine fts2tm_w

! FCALLSCSUB4(ffpkyu,FTPKYU,ftpkyu,FITSUNIT,STRING,STRING,PINT)
subroutine ftpkyu_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  character(len=*), intent(in) :: a3  ! STRING
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftpkyu(a1, a2, a3, a4)
end subroutine ftpkyu_w

! FCALLSCSUB5(ffpkys,FTPKYS,ftpkys,FITSUNIT,STRING,STRING,STRING,PINT)
subroutine ftpkys_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  character(len=*), intent(in) :: a3  ! STRING
  character(len=*), intent(in) :: a4  ! STRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftpkys(a1, a2, a3, a4, a5)
end subroutine ftpkys_w

! FCALLSCSUB5(ffpkls,FTPKLS,ftpkls,FITSUNIT,STRING,STRING,STRING,PINT)
subroutine ftpkls_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  character(len=*), intent(in) :: a3  ! STRING
  character(len=*), intent(in) :: a4  ! STRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftpkls(a1, a2, a3, a4, a5)
end subroutine ftpkls_w

! FCALLSCSUB2(ffplsw,FTPLSW,ftplsw,FITSUNIT,PINT)
subroutine ftplsw_w(a1, a2)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PINT

  call ftplsw(a1, a2)
end subroutine ftplsw_w

! FCALLSCSUB5(ffpkyl,FTPKYL,ftpkyl,FITSUNIT,STRING,INT,STRING,PINT)
subroutine ftpkyl_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  character(len=*), intent(in) :: a4  ! STRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftpkyl(a1, a2, a3, a4, a5)
end subroutine ftpkyl_w

! FCALLSCSUB5(ffpkyj,FTPKYJ,ftpkyj,FITSUNIT,STRING,LONG,STRING,PINT)
subroutine ftpkyj_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  character(len=*), intent(in) :: a4  ! STRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftpkyj(a1, a2, a3, a4, a5)
end subroutine ftpkyj_w

! FCALLSCSUB5(ffpkyj,FTPKYK,ftpkyk,FITSUNIT,STRING,LONGLONG,STRING,PINT)
subroutine ftpkyk_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  character(len=*), intent(in) :: a4  ! STRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftpkyk(a1, a2, a3, a4, a5)
end subroutine ftpkyk_w

! FCALLSCSUB6(ffpkyf,FTPKYF,ftpkyf,FITSUNIT,STRING,FLOAT,INT,STRING,PINT)
subroutine ftpkyf_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_float), intent(in), value :: a3  ! FLOAT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftpkyf(a1, a2, a3, a4, a5, a6)
end subroutine ftpkyf_w

! FCALLSCSUB6(ffpkye,FTPKYE,ftpkye,FITSUNIT,STRING,FLOAT,INT,STRING,PINT)
subroutine ftpkye_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_float), intent(in), value :: a3  ! FLOAT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftpkye(a1, a2, a3, a4, a5, a6)
end subroutine ftpkye_w

! FCALLSCSUB6(ffpkyg,FTPKYG,ftpkyg,FITSUNIT,STRING,DOUBLE,INT,STRING,PINT)
subroutine ftpkyg_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_double), intent(in), value :: a3  ! DOUBLE
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftpkyg(a1, a2, a3, a4, a5, a6)
end subroutine ftpkyg_w

! FCALLSCSUB6(ffpkyd,FTPKYD,ftpkyd,FITSUNIT,STRING,DOUBLE,INT,STRING,PINT)
subroutine ftpkyd_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_double), intent(in), value :: a3  ! DOUBLE
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftpkyd(a1, a2, a3, a4, a5, a6)
end subroutine ftpkyd_w

! FCALLSCSUB6(ffpkyc,FTPKYC,ftpkyc,FITSUNIT,STRING,FLOATV,INT,STRING,PINT)
subroutine ftpkyc_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_float), dimension(:) :: a3  ! FLOATV
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftpkyc(a1, a2, a3, a4, a5, a6)
end subroutine ftpkyc_w

! FCALLSCSUB6(ffpkym,FTPKYM,ftpkym,FITSUNIT,STRING,DOUBLEV,INT,STRING,PINT)
subroutine ftpkym_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_double), dimension(:) :: a3  ! DOUBLEV
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftpkym(a1, a2, a3, a4, a5, a6)
end subroutine ftpkym_w

! FCALLSCSUB6(ffpkfc,FTPKFC,ftpkfc,FITSUNIT,STRING,FLOATV,INT,STRING,PINT)
subroutine ftpkfc_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_float), dimension(:) :: a3  ! FLOATV
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftpkfc(a1, a2, a3, a4, a5, a6)
end subroutine ftpkfc_w

! FCALLSCSUB6(ffpkfm,FTPKFM,ftpkfm,FITSUNIT,STRING,DOUBLEV,INT,STRING,PINT)
subroutine ftpkfm_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_double), dimension(:) :: a3  ! DOUBLEV
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftpkfm(a1, a2, a3, a4, a5, a6)
end subroutine ftpkfm_w

! FCALLSCSUB6(ffpkyt,FTPKYT,ftpkyt,FITSUNIT,STRING,LONG,DOUBLE,STRING,PINT)
subroutine ftpkyt_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  real(kind=c_double), intent(in), value :: a4  ! DOUBLE
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftpkyt(a1, a2, a3, a4, a5, a6)
end subroutine ftpkyt_w

! FCALLSCSUB5(ffptdm,FTPTDM,ftptdm,FITSUNIT,INT,INT,LONGV,PINT)
subroutine ftptdm_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), dimension(:) :: a4  ! LONGV
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftptdm(a1, a2, a3, a4, a5)
end subroutine ftptdm_w

! FCALLSCSUB7(ffpkns,FTPKNS,ftpkns,FITSUNIT,STRING,INT,INT,STRINGV,STRINGV,PINT)
subroutine ftpkns_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), dimension(:) :: a5  ! STRINGV
  character(len=*), dimension(:) :: a6  ! STRINGV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftpkns(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftpkns_w

! FCALLSCSUB7(Cffpknl,FTPKNL,ftpknl,FITSUNIT,STRING,INT,INT,INTV,STRINGV,PINT)
subroutine ftpknl_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  integer(kind=c_int), dimension(:) :: a5  ! INTV
  character(len=*), dimension(:) :: a6  ! STRINGV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftpknl(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftpknl_w

! FCALLSCSUB7(ffpknj,FTPKNJ,ftpknj,FITSUNIT,STRING,INT,INT,LONGV,STRINGV,PINT)
subroutine ftpknj_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  integer(kind=c_int), dimension(:) :: a5  ! LONGV
  character(len=*), dimension(:) :: a6  ! STRINGV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftpknj(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftpknj_w

! FCALLSCSUB7(ffpknjj,FTPKNK,ftpknk,FITSUNIT,STRING,INT,INT,LONGLONGV,STRINGV,PINT)
subroutine ftpknk_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  integer(kind=c_long_long), dimension(:) :: a5  ! LONGLONGV
  character(len=*), dimension(:) :: a6  ! STRINGV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftpknk(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftpknk_w

! FCALLSCSUB8(ffpknf,FTPKNF,ftpknf,FITSUNIT,STRING,INT,INT,FLOATV,INT,STRINGV,PINT)
subroutine ftpknf_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  real(kind=c_float), dimension(:) :: a5  ! FLOATV
  integer(kind=c_int), intent(in), value :: a6  ! INT
  character(len=*), dimension(:) :: a7  ! STRINGV
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftpknf(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftpknf_w

! FCALLSCSUB8(ffpkne,FTPKNE,ftpkne,FITSUNIT,STRING,INT,INT,FLOATV,INT,STRINGV,PINT)
subroutine ftpkne_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  real(kind=c_float), dimension(:) :: a5  ! FLOATV
  integer(kind=c_int), intent(in), value :: a6  ! INT
  character(len=*), dimension(:) :: a7  ! STRINGV
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftpkne(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftpkne_w

! FCALLSCSUB8(ffpkng,FTPKNG,ftpkng,FITSUNIT,STRING,INT,INT,DOUBLEV,INT,STRINGV,PINT)
subroutine ftpkng_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  real(kind=c_double), dimension(:) :: a5  ! DOUBLEV
  integer(kind=c_int), intent(in), value :: a6  ! INT
  character(len=*), dimension(:) :: a7  ! STRINGV
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftpkng(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftpkng_w

! FCALLSCSUB8(ffpknd,FTPKND,ftpknd,FITSUNIT,STRING,INT,INT,DOUBLEV,INT,STRINGV,PINT)
subroutine ftpknd_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  real(kind=c_double), dimension(:) :: a5  ! DOUBLEV
  integer(kind=c_int), intent(in), value :: a6  ! INT
  character(len=*), dimension(:) :: a7  ! STRINGV
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftpknd(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftpknd_w

! FCALLSCSUB6(ffcpky,FTCPKY,ftcpky,FITSUNIT,FITSUNIT,INT,INT,STRING,PINT)
subroutine ftcpky_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftcpky(a1, a2, a3, a4, a5, a6)
end subroutine ftcpky_w

! FCALLSCSUB5(ffphps,FTPHPS,ftphps,FITSUNIT,INT,INT,LONGV,PINT)
subroutine ftphps_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), dimension(:) :: a4  ! LONGV
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftphps(a1, a2, a3, a4, a5)
end subroutine ftphps_w

! FCALLSCSUB9(Cffphpr,FTPHPR,ftphpr,FITSUNIT,LOGICAL,INT,INT,LONGV,LONG,LONG,LOGICAL,PINT)
subroutine ftphpr_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LOGICAL
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  integer(kind=c_int), dimension(:) :: a5  ! LONGV
  integer(kind=c_int), intent(in), value :: a6  ! LONG
  integer(kind=c_int), intent(in), value :: a7  ! LONG
  integer(kind=c_int), intent(in), value :: a8  ! LOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftphpr(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftphpr_w

! FCALLSCSUB8(ffphext,FTPHEXT,ftphext,FITSUNIT,STRING,INT,INT,LONGV,LONG,LONG,PINT)
subroutine ftphext_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  integer(kind=c_int), dimension(:) :: a5  ! LONGV
  integer(kind=c_int), intent(in), value :: a6  ! LONG
  integer(kind=c_int), intent(in), value :: a7  ! LONG
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftphext(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftphext_w

! FCALLSCSUB10(ffphtb,FTPHTB,ftphtb,FITSUNIT,LONG,LONG,INT,STRINGV,LONGV,STRINGV,STRINGV,STRING,PINT)
subroutine ftphtb_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), dimension(:) :: a5  ! STRINGV
  integer(kind=c_int), dimension(:) :: a6  ! LONGV
  character(len=*), dimension(:) :: a7  ! STRINGV
  character(len=*), dimension(:) :: a8  ! STRINGV
  character(len=*), intent(in) :: a9  ! STRING
  integer(kind=c_int), intent(inout) :: a10  ! PINT

  call ftphtb(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10)
end subroutine ftphtb_w

! FCALLSCSUB9(ffphbn,FTPHBN,ftphbn,FITSUNIT,LONG,INT,STRINGV,STRINGV,STRINGV,STRING,LONG,PINT)
subroutine ftphbn_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! INT
  character(len=*), dimension(:) :: a4  ! STRINGV
  character(len=*), dimension(:) :: a5  ! STRINGV
  character(len=*), dimension(:) :: a6  ! STRINGV
  character(len=*), intent(in) :: a7  ! STRING
  integer(kind=c_int), intent(in), value :: a8  ! LONG
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftphbn(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftphbn_w

! FCALLSCSUB9(Cffphpr,FTPPRH,ftpprh,FITSUNIT,LOGICAL,INT,INT,LONGV,LONG,LONG,LOGICAL,PINT)
subroutine ftpprh_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LOGICAL
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  integer(kind=c_int), dimension(:) :: a5  ! LONGV
  integer(kind=c_int), intent(in), value :: a6  ! LONG
  integer(kind=c_int), intent(in), value :: a7  ! LONG
  integer(kind=c_int), intent(in), value :: a8  ! LOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftpprh(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftpprh_w

! FCALLSCSUB9(ffphbn,FTPBNH,ftpbnh,FITSUNIT,LONG,INT,STRINGV,STRINGV,STRINGV,STRING,LONG,PINT)
subroutine ftpbnh_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! INT
  character(len=*), dimension(:) :: a4  ! STRINGV
  character(len=*), dimension(:) :: a5  ! STRINGV
  character(len=*), dimension(:) :: a6  ! STRINGV
  character(len=*), intent(in) :: a7  ! STRING
  integer(kind=c_int), intent(in), value :: a8  ! LONG
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftpbnh(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftpbnh_w

! FCALLSCSUB10(ffphtb,FTPTBH,ftptbh,FITSUNIT,LONG,LONG,INT,STRINGV,LONGV,STRINGV,STRINGV,STRING,PINT)
subroutine ftptbh_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), dimension(:) :: a5  ! STRINGV
  integer(kind=c_int), dimension(:) :: a6  ! LONGV
  character(len=*), dimension(:) :: a7  ! STRINGV
  character(len=*), dimension(:) :: a8  ! STRINGV
  character(len=*), intent(in) :: a9  ! STRING
  integer(kind=c_int), intent(inout) :: a10  ! PINT

  call ftptbh(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10)
end subroutine ftptbh_w

! FCALLSCSUB3(ffpktp,FTPKTP,ftpktp,FITSUNIT,STRING,PINT)
subroutine ftpktp_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftpktp(a1, a2, a3)
end subroutine ftpktp_w

! FCALLSCSUB4(ffghsp,FTGHSP,ftghsp,FITSUNIT,PINT,PINT,PINT)
subroutine ftghsp_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PINT
  integer(kind=c_int), intent(inout) :: a3  ! PINT
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftghsp(a1, a2, a3, a4)
end subroutine ftghsp_w

! FCALLSCSUB4(ffghps,FTGHPS,ftghps,FITSUNIT,PINT,PINT,PINT)
subroutine ftghps_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PINT
  integer(kind=c_int), intent(inout) :: a3  ! PINT
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftghps(a1, a2, a3, a4)
end subroutine ftghps_w

! FCALLSCSUB3(ffmaky,FTMAKY,ftmaky,FITSUNIT,INT,PINT)
subroutine ftmaky_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftmaky(a1, a2, a3)
end subroutine ftmaky_w

! FCALLSCSUB3(ffmrky,FTMRKY,ftmrky,FITSUNIT,INT,PINT)
subroutine ftmrky_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftmrky(a1, a2, a3)
end subroutine ftmrky_w

! FCALLSCSUB7(ffgnxk,FTGNXK,ftgnxk,FITSUNIT,STRINGV,INT,STRINGV,INT,PSTRING,PINT)
subroutine ftgnxk_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), dimension(:) :: a2  ! STRINGV
  integer(kind=c_int), intent(in), value :: a3  ! INT
  character(len=*), dimension(:) :: a4  ! STRINGV
  integer(kind=c_int), intent(in), value :: a5  ! INT
  character(len=*), intent(inout) :: a6  ! PSTRING
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftgnxk(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftgnxk_w

! FCALLSCSUB4(ffgksl,FTGKSL,ftgksl,FITSUNIT,STRING,PINT,PINT)
subroutine ftgksl_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(inout) :: a3  ! PINT
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftgksl(a1, a2, a3, a4)
end subroutine ftgksl_w

! FCALLSCSUB4(ffgrec,FTGREC,ftgrec,FITSUNIT,INT,PSTRING,PINT)
subroutine ftgrec_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  character(len=*), intent(inout) :: a3  ! PSTRING
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftgrec(a1, a2, a3, a4)
end subroutine ftgrec_w

! FCALLSCSUB4(ffgcrd,FTGCRD,ftgcrd,FITSUNIT,STRING,PSTRING,PINT)
subroutine ftgcrd_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  character(len=*), intent(inout) :: a3  ! PSTRING
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftgcrd(a1, a2, a3, a4)
end subroutine ftgcrd_w

! FCALLSCSUB4(ffgunt,FTGUNT,ftgunt,FITSUNIT,STRING,PSTRING,PINT)
subroutine ftgunt_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  character(len=*), intent(inout) :: a3  ! PSTRING
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftgunt(a1, a2, a3, a4)
end subroutine ftgunt_w

! FCALLSCSUB6(ffgkyn,FTGKYN,ftgkyn,FITSUNIT,INT,PSTRING,PSTRING,PSTRING,PINT)
subroutine ftgkyn_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  character(len=*), intent(inout) :: a3  ! PSTRING
  character(len=*), intent(inout) :: a4  ! PSTRING
  character(len=*), intent(inout) :: a5  ! PSTRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftgkyn(a1, a2, a3, a4, a5, a6)
end subroutine ftgkyn_w

! FCALLSCSUB5(ffgkey,FTGKEY,ftgkey,FITSUNIT,STRING,PSTRING,PSTRING,PINT)
subroutine ftgkey_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  character(len=*), intent(inout) :: a3  ! PSTRING
  character(len=*), intent(inout) :: a4  ! PSTRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftgkey(a1, a2, a3, a4, a5)
end subroutine ftgkey_w

! FCALLSCSUB8(ffgsky,FTGSKY,ftgsky,FITSUNIT,STRING,INT,INT,PSTRING,PINT,PSTRING,PINT)
subroutine ftgsky_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(inout) :: a5  ! PSTRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT
  character(len=*), intent(inout) :: a7  ! PSTRING
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call ftgsky(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine ftgsky_w

! FCALLSCSUB5(ffgkyl,FTGKYL,ftgkyl,FITSUNIT,STRING,PINT,PSTRING,PINT)
subroutine ftgkyl_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(inout) :: a3  ! PINT
  character(len=*), intent(inout) :: a4  ! PSTRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftgkyl(a1, a2, a3, a4, a5)
end subroutine ftgkyl_w

! FCALLSCSUB5(ffgkyj,FTGKYJ,ftgkyj,FITSUNIT,STRING,PLONG,PSTRING,PINT)
subroutine ftgkyj_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(inout) :: a3  ! PLONG
  character(len=*), intent(inout) :: a4  ! PSTRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftgkyj(a1, a2, a3, a4, a5)
end subroutine ftgkyj_w

! FCALLSCSUB5(ffgkyjj,FTGKYK,ftgkyk,FITSUNIT,STRING,PLONGLONG,PSTRING,PINT)
subroutine ftgkyk_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_long_long), intent(inout) :: a3  ! PLONGLONG
  character(len=*), intent(inout) :: a4  ! PSTRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftgkyk(a1, a2, a3, a4, a5)
end subroutine ftgkyk_w

! FCALLSCSUB5(ffgkye,FTGKYE,ftgkye,FITSUNIT,STRING,PFLOAT,PSTRING,PINT)
subroutine ftgkye_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_float), intent(inout) :: a3  ! PFLOAT
  character(len=*), intent(inout) :: a4  ! PSTRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftgkye(a1, a2, a3, a4, a5)
end subroutine ftgkye_w

! FCALLSCSUB5(ffgkyd,FTGKYD,ftgkyd,FITSUNIT,STRING,PDOUBLE,PSTRING,PINT)
subroutine ftgkyd_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_double), intent(inout) :: a3  ! PDOUBLE
  character(len=*), intent(inout) :: a4  ! PSTRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftgkyd(a1, a2, a3, a4, a5)
end subroutine ftgkyd_w

! FCALLSCSUB5(ffgkyc,FTGKYC,ftgkyc,FITSUNIT,STRING,PFLOAT,PSTRING,PINT)
subroutine ftgkyc_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_float), intent(inout) :: a3  ! PFLOAT
  character(len=*), intent(inout) :: a4  ! PSTRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftgkyc(a1, a2, a3, a4, a5)
end subroutine ftgkyc_w

! FCALLSCSUB5(ffgkym,FTGKYM,ftgkym,FITSUNIT,STRING,PDOUBLE,PSTRING,PINT)
subroutine ftgkym_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_double), intent(inout) :: a3  ! PDOUBLE
  character(len=*), intent(inout) :: a4  ! PSTRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftgkym(a1, a2, a3, a4, a5)
end subroutine ftgkym_w

! FCALLSCSUB6(ffgkyt,FTGKYT,ftgkyt,FITSUNIT,STRING,PLONG,PDOUBLE,PSTRING,PINT)
subroutine ftgkyt_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(inout) :: a3  ! PLONG
  real(kind=c_double), intent(inout) :: a4  ! PDOUBLE
  character(len=*), intent(inout) :: a5  ! PSTRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftgkyt(a1, a2, a3, a4, a5, a6)
end subroutine ftgkyt_w

! FCALLSCSUB6(ffgtdm,FTGTDM,ftgtdm,FITSUNIT,INT,INT,PINT,LONGV,PINT)
subroutine ftgtdm_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(inout) :: a4  ! PINT
  integer(kind=c_int), dimension(:) :: a5  ! LONGV
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftgtdm(a1, a2, a3, a4, a5, a6)
end subroutine ftgtdm_w

! FCALLSCSUB7(ffdtdm,FTDTDM,ftdtdm,FITSUNIT,STRING,INT,INT,PINT,LONGV,PINT)
subroutine ftdtdm_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  integer(kind=c_int), intent(inout) :: a5  ! PINT
  integer(kind=c_int), dimension(:) :: a6  ! LONGV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftdtdm(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftdtdm_w

! FCALLSCSUB7(Cffgknl,FTGKNL,ftgknl,FITSUNIT,STRING,INT,INT,INTV,PINT,PINT)
subroutine ftgknl_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  integer(kind=c_int), dimension(:) :: a5  ! INTV
  integer(kind=c_int), intent(inout) :: a6  ! PINT
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftgknl(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftgknl_w

! FCALLSCSUB7(ffgknj,FTGKNJ,ftgknj,FITSUNIT,STRING,INT,INT,LONGV,PINT,PINT)
subroutine ftgknj_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  integer(kind=c_int), dimension(:) :: a5  ! LONGV
  integer(kind=c_int), intent(inout) :: a6  ! PINT
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftgknj(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftgknj_w

! FCALLSCSUB7(ffgknjj,FTGKNK,ftgknk,FITSUNIT,STRING,INT,INT,LONGLONGV,PINT,PINT)
subroutine ftgknk_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  integer(kind=c_long_long), dimension(:) :: a5  ! LONGLONGV
  integer(kind=c_int), intent(inout) :: a6  ! PINT
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftgknk(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftgknk_w

! FCALLSCSUB7(ffgkne,FTGKNE,ftgkne,FITSUNIT,STRING,INT,INT,FLOATV,PINT,PINT)
subroutine ftgkne_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  real(kind=c_float), dimension(:) :: a5  ! FLOATV
  integer(kind=c_int), intent(inout) :: a6  ! PINT
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftgkne(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftgkne_w

! FCALLSCSUB7(ffgknd,FTGKND,ftgknd,FITSUNIT,STRING,INT,INT,DOUBLEV,PINT,PINT)
subroutine ftgknd_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  real(kind=c_double), dimension(:) :: a5  ! DOUBLEV
  integer(kind=c_int), intent(inout) :: a6  ! PINT
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftgknd(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftgknd_w

! FCALLSCSUB10(ffghpr,FTGHPR,ftghpr,FITSUNIT,INT,PLOGICAL,PINT,PINT,LONGV,PLONG,PLONG,PLOGICAL,PINT)
subroutine ftghpr_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(inout) :: a3  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a4  ! PINT
  integer(kind=c_int), intent(inout) :: a5  ! PINT
  integer(kind=c_int), dimension(:) :: a6  ! LONGV
  integer(kind=c_int), intent(inout) :: a7  ! PLONG
  integer(kind=c_int), intent(inout) :: a8  ! PLONG
  integer(kind=c_int), intent(inout) :: a9  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a10  ! PINT

  call ftghpr(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10)
end subroutine ftghpr_w

! FCALLSCSUB4(ffucrd,FTUCRD,ftucrd,FITSUNIT,STRING,STRING,PINT)
subroutine ftucrd_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  character(len=*), intent(in) :: a3  ! STRING
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftucrd(a1, a2, a3, a4)
end subroutine ftucrd_w

! FCALLSCSUB4(ffukyu,FTUKYU,ftukyu,FITSUNIT,STRING,STRING,PINT)
subroutine ftukyu_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  character(len=*), intent(in) :: a3  ! STRING
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftukyu(a1, a2, a3, a4)
end subroutine ftukyu_w

! FCALLSCSUB5(ffukys,FTUKYS,ftukys,FITSUNIT,STRING,STRING,STRING,PINT)
subroutine ftukys_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  character(len=*), intent(in) :: a3  ! STRING
  character(len=*), intent(in) :: a4  ! STRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftukys(a1, a2, a3, a4, a5)
end subroutine ftukys_w

! FCALLSCSUB5(ffukls,FTUKLS,ftukls,FITSUNIT,STRING,STRING,STRING,PINT)
subroutine ftukls_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  character(len=*), intent(in) :: a3  ! STRING
  character(len=*), intent(in) :: a4  ! STRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftukls(a1, a2, a3, a4, a5)
end subroutine ftukls_w

! FCALLSCSUB5(ffukyl,FTUKYL,ftukyl,FITSUNIT,STRING,INT,STRING,PINT)
subroutine ftukyl_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  character(len=*), intent(in) :: a4  ! STRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftukyl(a1, a2, a3, a4, a5)
end subroutine ftukyl_w

! FCALLSCSUB5(ffukyj,FTUKYJ,ftukyj,FITSUNIT,STRING,LONG,STRING,PINT)
subroutine ftukyj_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  character(len=*), intent(in) :: a4  ! STRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftukyj(a1, a2, a3, a4, a5)
end subroutine ftukyj_w

! FCALLSCSUB5(ffukyj,FTUKYK,ftukyk,FITSUNIT,STRING,LONGLONG,STRING,PINT)
subroutine ftukyk_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  character(len=*), intent(in) :: a4  ! STRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftukyk(a1, a2, a3, a4, a5)
end subroutine ftukyk_w

! FCALLSCSUB6(ffukyf,FTUKYF,ftukyf,FITSUNIT,STRING,FLOAT,INT,STRING,PINT)
subroutine ftukyf_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_float), intent(in), value :: a3  ! FLOAT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftukyf(a1, a2, a3, a4, a5, a6)
end subroutine ftukyf_w

! FCALLSCSUB6(ffukye,FTUKYE,ftukye,FITSUNIT,STRING,FLOAT,INT,STRING,PINT)
subroutine ftukye_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_float), intent(in), value :: a3  ! FLOAT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftukye(a1, a2, a3, a4, a5, a6)
end subroutine ftukye_w

! FCALLSCSUB6(ffukyg,FTUKYG,ftukyg,FITSUNIT,STRING,DOUBLE,INT,STRING,PINT)
subroutine ftukyg_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_double), intent(in), value :: a3  ! DOUBLE
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftukyg(a1, a2, a3, a4, a5, a6)
end subroutine ftukyg_w

! FCALLSCSUB6(ffukyd,FTUKYD,ftukyd,FITSUNIT,STRING,DOUBLE,INT,STRING,PINT)
subroutine ftukyd_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_double), intent(in), value :: a3  ! DOUBLE
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftukyd(a1, a2, a3, a4, a5, a6)
end subroutine ftukyd_w

! FCALLSCSUB6(ffukyc,FTUKYC,ftukyc,FITSUNIT,STRING,FLOATV,INT,STRING,PINT)
subroutine ftukyc_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_float), dimension(:) :: a3  ! FLOATV
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftukyc(a1, a2, a3, a4, a5, a6)
end subroutine ftukyc_w

! FCALLSCSUB6(ffukym,FTUKYM,ftukym,FITSUNIT,STRING,DOUBLEV,INT,STRING,PINT)
subroutine ftukym_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_double), dimension(:) :: a3  ! DOUBLEV
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftukym(a1, a2, a3, a4, a5, a6)
end subroutine ftukym_w

! FCALLSCSUB6(ffukfc,FTUKFC,ftukfc,FITSUNIT,STRING,FLOATV,INT,STRING,PINT)
subroutine ftukfc_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_float), dimension(:) :: a3  ! FLOATV
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftukfc(a1, a2, a3, a4, a5, a6)
end subroutine ftukfc_w

! FCALLSCSUB6(ffukfm,FTUKFM,ftukfm,FITSUNIT,STRING,DOUBLEV,INT,STRING,PINT)
subroutine ftukfm_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_double), dimension(:) :: a3  ! DOUBLEV
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftukfm(a1, a2, a3, a4, a5, a6)
end subroutine ftukfm_w

! FCALLSCSUB4(ffmrec,FTMREC,ftmrec,FITSUNIT,INT,STRING,PINT)
subroutine ftmrec_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  character(len=*), intent(in) :: a3  ! STRING
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftmrec(a1, a2, a3, a4)
end subroutine ftmrec_w

! FCALLSCSUB4(ffmcrd,FTMCRD,ftmcrd,FITSUNIT,STRING,STRING,PINT)
subroutine ftmcrd_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  character(len=*), intent(in) :: a3  ! STRING
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftmcrd(a1, a2, a3, a4)
end subroutine ftmcrd_w

! FCALLSCSUB4(ffmnam,FTMNAM,ftmnam,FITSUNIT,STRING,STRING,PINT)
subroutine ftmnam_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  character(len=*), intent(in) :: a3  ! STRING
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftmnam(a1, a2, a3, a4)
end subroutine ftmnam_w

! FCALLSCSUB4(ffmcom,FTMCOM,ftmcom,FITSUNIT,STRING,STRING,PINT)
subroutine ftmcom_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  character(len=*), intent(in) :: a3  ! STRING
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftmcom(a1, a2, a3, a4)
end subroutine ftmcom_w

! FCALLSCSUB4(ffmkyu,FTMKYU,ftmkyu,FITSUNIT,STRING,STRING,PINT)
subroutine ftmkyu_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  character(len=*), intent(in) :: a3  ! STRING
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftmkyu(a1, a2, a3, a4)
end subroutine ftmkyu_w

! FCALLSCSUB5(ffmkys,FTMKYS,ftmkys,FITSUNIT,STRING,STRING,STRING,PINT)
subroutine ftmkys_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  character(len=*), intent(in) :: a3  ! STRING
  character(len=*), intent(in) :: a4  ! STRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftmkys(a1, a2, a3, a4, a5)
end subroutine ftmkys_w

! FCALLSCSUB5(ffmkls,FTMKLS,ftmkls,FITSUNIT,STRING,STRING,STRING,PINT)
subroutine ftmkls_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  character(len=*), intent(in) :: a3  ! STRING
  character(len=*), intent(in) :: a4  ! STRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftmkls(a1, a2, a3, a4, a5)
end subroutine ftmkls_w

! FCALLSCSUB5(ffmkyl,FTMKYL,ftmkyl,FITSUNIT,STRING,INT,STRING,PINT)
subroutine ftmkyl_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  character(len=*), intent(in) :: a4  ! STRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftmkyl(a1, a2, a3, a4, a5)
end subroutine ftmkyl_w

! FCALLSCSUB5(ffmkyj,FTMKYJ,ftmkyj,FITSUNIT,STRING,LONG,STRING,PINT)
subroutine ftmkyj_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  character(len=*), intent(in) :: a4  ! STRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftmkyj(a1, a2, a3, a4, a5)
end subroutine ftmkyj_w

! FCALLSCSUB5(ffmkyj,FTMKYK,ftmkyk,FITSUNIT,STRING,LONGLONG,STRING,PINT)
subroutine ftmkyk_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  character(len=*), intent(in) :: a4  ! STRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftmkyk(a1, a2, a3, a4, a5)
end subroutine ftmkyk_w

! FCALLSCSUB6(ffmkyf,FTMKYF,ftmkyf,FITSUNIT,STRING,FLOAT,INT,STRING,PINT)
subroutine ftmkyf_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_float), intent(in), value :: a3  ! FLOAT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftmkyf(a1, a2, a3, a4, a5, a6)
end subroutine ftmkyf_w

! FCALLSCSUB6(ffmkye,FTMKYE,ftmkye,FITSUNIT,STRING,FLOAT,INT,STRING,PINT)
subroutine ftmkye_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_float), intent(in), value :: a3  ! FLOAT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftmkye(a1, a2, a3, a4, a5, a6)
end subroutine ftmkye_w

! FCALLSCSUB6(ffmkyg,FTMKYG,ftmkyg,FITSUNIT,STRING,DOUBLE,INT,STRING,PINT)
subroutine ftmkyg_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_double), intent(in), value :: a3  ! DOUBLE
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftmkyg(a1, a2, a3, a4, a5, a6)
end subroutine ftmkyg_w

! FCALLSCSUB6(ffmkyd,FTMKYD,ftmkyd,FITSUNIT,STRING,DOUBLE,INT,STRING,PINT)
subroutine ftmkyd_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_double), intent(in), value :: a3  ! DOUBLE
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftmkyd(a1, a2, a3, a4, a5, a6)
end subroutine ftmkyd_w

! FCALLSCSUB6(ffmkyc,FTMKYC,ftmkyc,FITSUNIT,STRING,FLOATV,INT,STRING,PINT)
subroutine ftmkyc_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_float), dimension(:) :: a3  ! FLOATV
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftmkyc(a1, a2, a3, a4, a5, a6)
end subroutine ftmkyc_w

! FCALLSCSUB6(ffmkym,FTMKYM,ftmkym,FITSUNIT,STRING,DOUBLEV,INT,STRING,PINT)
subroutine ftmkym_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_double), dimension(:) :: a3  ! DOUBLEV
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftmkym(a1, a2, a3, a4, a5, a6)
end subroutine ftmkym_w

! FCALLSCSUB6(ffmkfc,FTMKFC,ftmkfc,FITSUNIT,STRING,FLOATV,INT,STRING,PINT)
subroutine ftmkfc_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_float), dimension(:) :: a3  ! FLOATV
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftmkfc(a1, a2, a3, a4, a5, a6)
end subroutine ftmkfc_w

! FCALLSCSUB6(ffmkfm,FTMKFM,ftmkfm,FITSUNIT,STRING,DOUBLEV,INT,STRING,PINT)
subroutine ftmkfm_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_double), dimension(:) :: a3  ! DOUBLEV
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftmkfm(a1, a2, a3, a4, a5, a6)
end subroutine ftmkfm_w

! FCALLSCSUB4(ffirec,FTIREC,ftirec,FITSUNIT,INT,STRING,PINT)
subroutine ftirec_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  character(len=*), intent(in) :: a3  ! STRING
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftirec(a1, a2, a3, a4)
end subroutine ftirec_w

! FCALLSCSUB3(ffikey,FTIKEY,ftkey,FITSUNIT,STRING,PINT)
subroutine ftkey_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftkey(a1, a2, a3)
end subroutine ftkey_w

! FCALLSCSUB4(ffikyu,FTIKYU,ftikyu,FITSUNIT,STRING,STRING,PINT)
subroutine ftikyu_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  character(len=*), intent(in) :: a3  ! STRING
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftikyu(a1, a2, a3, a4)
end subroutine ftikyu_w

! FCALLSCSUB5(ffikys,FTIKYS,ftikys,FITSUNIT,STRING,STRING,STRING,PINT)
subroutine ftikys_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  character(len=*), intent(in) :: a3  ! STRING
  character(len=*), intent(in) :: a4  ! STRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftikys(a1, a2, a3, a4, a5)
end subroutine ftikys_w

! FCALLSCSUB5(ffikls,FTIKLS,ftikls,FITSUNIT,STRING,STRING,STRING,PINT)
subroutine ftikls_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  character(len=*), intent(in) :: a3  ! STRING
  character(len=*), intent(in) :: a4  ! STRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftikls(a1, a2, a3, a4, a5)
end subroutine ftikls_w

! FCALLSCSUB5(ffikyl,FTIKYL,ftikyl,FITSUNIT,STRING,INT,STRING,PINT)
subroutine ftikyl_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  character(len=*), intent(in) :: a4  ! STRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftikyl(a1, a2, a3, a4, a5)
end subroutine ftikyl_w

! FCALLSCSUB5(ffikyj,FTIKYJ,ftikyj,FITSUNIT,STRING,LONG,STRING,PINT)
subroutine ftikyj_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  character(len=*), intent(in) :: a4  ! STRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftikyj(a1, a2, a3, a4, a5)
end subroutine ftikyj_w

! FCALLSCSUB5(ffikyj,FTIKYK,ftikyk,FITSUNIT,STRING,LONGLONG,STRING,PINT)
subroutine ftikyk_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  character(len=*), intent(in) :: a4  ! STRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftikyk(a1, a2, a3, a4, a5)
end subroutine ftikyk_w

! FCALLSCSUB6(ffikyf,FTIKYF,ftikyf,FITSUNIT,STRING,FLOAT,INT,STRING,PINT)
subroutine ftikyf_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_float), intent(in), value :: a3  ! FLOAT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftikyf(a1, a2, a3, a4, a5, a6)
end subroutine ftikyf_w

! FCALLSCSUB6(ffikye,FTIKYE,ftikye,FITSUNIT,STRING,FLOAT,INT,STRING,PINT)
subroutine ftikye_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_float), intent(in), value :: a3  ! FLOAT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftikye(a1, a2, a3, a4, a5, a6)
end subroutine ftikye_w

! FCALLSCSUB6(ffikyg,FTIKYG,ftikyg,FITSUNIT,STRING,DOUBLE,INT,STRING,PINT)
subroutine ftikyg_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_double), intent(in), value :: a3  ! DOUBLE
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftikyg(a1, a2, a3, a4, a5, a6)
end subroutine ftikyg_w

! FCALLSCSUB6(ffikyd,FTIKYD,ftikyd,FITSUNIT,STRING,DOUBLE,INT,STRING,PINT)
subroutine ftikyd_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_double), intent(in), value :: a3  ! DOUBLE
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftikyd(a1, a2, a3, a4, a5, a6)
end subroutine ftikyd_w

! FCALLSCSUB6(ffikyc,FTIKYC,ftikyc,FITSUNIT,STRING,FLOATV,INT,STRING,PINT)
subroutine ftikyc_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_float), dimension(:) :: a3  ! FLOATV
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftikyc(a1, a2, a3, a4, a5, a6)
end subroutine ftikyc_w

! FCALLSCSUB6(ffikym,FTIKYM,ftikym,FITSUNIT,STRING,DOUBLEV,INT,STRING,PINT)
subroutine ftikym_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_double), dimension(:) :: a3  ! DOUBLEV
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftikym(a1, a2, a3, a4, a5, a6)
end subroutine ftikym_w

! FCALLSCSUB6(ffikfc,FTIKFC,ftikfc,FITSUNIT,STRING,FLOATV,INT,STRING,PINT)
subroutine ftikfc_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_float), dimension(:) :: a3  ! FLOATV
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftikfc(a1, a2, a3, a4, a5, a6)
end subroutine ftikfc_w

! FCALLSCSUB6(ffikfm,FTIKFM,ftikfm,FITSUNIT,STRING,DOUBLEV,INT,STRING,PINT)
subroutine ftikfm_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  real(kind=c_double), dimension(:) :: a3  ! DOUBLEV
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftikfm(a1, a2, a3, a4, a5, a6)
end subroutine ftikfm_w

! FCALLSCSUB3(ffdkey,FTDKEY,ftdkey,FITSUNIT,STRING,PINT)
subroutine ftdkey_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftdkey(a1, a2, a3)
end subroutine ftdkey_w

! FCALLSCSUB3(ffdrec,FTDREC,ftdrec,FITSUNIT,INT,PINT)
subroutine ftdrec_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftdrec(a1, a2, a3)
end subroutine ftdrec_w

! FCALLSCSUB2(ffghdn,FTGHDN,ftghdn,FITSUNIT,PINT)
subroutine ftghdn_w(a1, a2)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PINT

  call ftghdn(a1, a2)
end subroutine ftghdn_w

! FCALLSCSUB3(ffghdt,FTGHDT,ftghdt,FITSUNIT,PINT,PINT)
subroutine ftghdt_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PINT
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftghdt(a1, a2, a3)
end subroutine ftghdt_w

! FCALLSCSUB5(ffghad,FTGHAD,ftghad,FITSUNIT,PLONG,PLONG,PLONG,PINT)
subroutine ftghad_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PLONG
  integer(kind=c_int), intent(inout) :: a3  ! PLONG
  integer(kind=c_int), intent(inout) :: a4  ! PLONG
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftghad(a1, a2, a3, a4, a5)
end subroutine ftghad_w

! FCALLSCSUB3(ffgidt,FTGIDT,ftgidt,FITSUNIT,PINT,PINT)
subroutine ftgidt_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PINT
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftgidt(a1, a2, a3)
end subroutine ftgidt_w

! FCALLSCSUB3(ffgiet,FTGIET,ftgiet,FITSUNIT,PINT,PINT)
subroutine ftgiet_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PINT
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftgiet(a1, a2, a3)
end subroutine ftgiet_w

! FCALLSCSUB3(ffgidm,FTGIDM,ftgidm,FITSUNIT,PINT,PINT)
subroutine ftgidm_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PINT
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftgidm(a1, a2, a3)
end subroutine ftgidm_w

! FCALLSCSUB4(ffgisz,FTGISZ,ftgisz,FITSUNIT,INT,LONGV,PINT)
subroutine ftgisz_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), dimension(:) :: a3  ! LONGV
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftgisz(a1, a2, a3, a4)
end subroutine ftgisz_w

! FCALLSCSUB4(ffgiszll,FTGISZLL,ftgiszll,FITSUNIT,INT,LONGLONGV,PINT)
subroutine ftgiszll_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_long_long), dimension(:) :: a3  ! LONGLONGV
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftgiszll(a1, a2, a3, a4)
end subroutine ftgiszll_w

! FCALLSCSUB6(ffgipr,FTGIPR,ftgipr,FITSUNIT,INT,PINT,PINT,LONGV,PINT)
subroutine ftgipr_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(inout) :: a3  ! PINT
  integer(kind=c_int), intent(inout) :: a4  ! PINT
  integer(kind=c_int), dimension(:) :: a5  ! LONGV
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftgipr(a1, a2, a3, a4, a5, a6)
end subroutine ftgipr_w

! FCALLSCSUB6(ffgiprll,FTGIPRLL,ftgiprll,FITSUNIT,INT,PINT,PINT,LONGLONGV,PINT)
subroutine ftgiprll_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(inout) :: a3  ! PINT
  integer(kind=c_int), intent(inout) :: a4  ! PINT
  integer(kind=c_long_long), dimension(:) :: a5  ! LONGLONGV
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftgiprll(a1, a2, a3, a4, a5, a6)
end subroutine ftgiprll_w

! FCALLSCSUB4(ffmahd,FTMAHD,ftmahd,FITSUNIT,INT,PINT,PINT)
subroutine ftmahd_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(inout) :: a3  ! PINT
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftmahd(a1, a2, a3, a4)
end subroutine ftmahd_w

! FCALLSCSUB4(ffmrhd,FTMRHD,ftmrhd,FITSUNIT,INT,PINT,PINT)
subroutine ftmrhd_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(inout) :: a3  ! PINT
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftmrhd(a1, a2, a3, a4)
end subroutine ftmrhd_w

! FCALLSCSUB5(ffmnhd,FTMNHD,ftmnhd,FITSUNIT,INT,STRING,INT,PINT)
subroutine ftmnhd_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  character(len=*), intent(in) :: a3  ! STRING
  integer(kind=c_int), intent(in), value :: a4  ! INT
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftmnhd(a1, a2, a3, a4, a5)
end subroutine ftmnhd_w

! FCALLSCSUB3(ffthdu,FTTHDU,ftthdu,FITSUNIT,PINT,PINT)
subroutine ftthdu_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PINT
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftthdu(a1, a2, a3)
end subroutine ftthdu_w

! FCALLSCSUB2(ffcrhd,FTCRHD,ftcrhd,FITSUNIT,PINT)
subroutine ftcrhd_w(a1, a2)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PINT

  call ftcrhd(a1, a2)
end subroutine ftcrhd_w

! FCALLSCSUB5(ffcrim,FTCRIM,ftcrim,FITSUNIT,INT,INT,LONGV,PINT)
subroutine ftcrim_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), dimension(:) :: a4  ! LONGV
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftcrim(a1, a2, a3, a4, a5)
end subroutine ftcrim_w

! FCALLSCSUB9(ffcrtb,FTCRTB,ftcrtb,FITSUNIT,INT,LONG,INT,STRINGV,STRINGV,STRINGV,STRING,PINT)
subroutine ftcrtb_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), dimension(:) :: a5  ! STRINGV
  character(len=*), dimension(:) :: a6  ! STRINGV
  character(len=*), dimension(:) :: a7  ! STRINGV
  character(len=*), intent(in) :: a8  ! STRING
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftcrtb(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftcrtb_w

! FCALLSCSUB5(ffiimg,FTIIMG,ftiimg,FITSUNIT,INT,INT,LONGV,PINT)
subroutine ftiimg_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(in), dimension(:) :: a4  ! LONGV
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftiimg(a1, a2, a3, a4, a5)
end subroutine ftiimg_w

! FCALLSCSUB5(ffiimgll,FTIIMGLL,ftiimgll,FITSUNIT,INT,INT,LONGLONGV,PINT)
subroutine ftiimgll_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_long_long), intent(in), dimension(:) :: a4  ! LONGLONGV
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftiimgll(a1, a2, a3, a4, a5)
end subroutine ftiimgll_w

! FCALLSCSUB10(ffitab,FTITAB,ftitab,FITSUNIT,LONG,LONG,INT,STRINGV,LONGV,STRINGV,STRINGV,STRING,PINT)
subroutine ftitab_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), dimension(:) :: a5  ! STRINGV
  integer(kind=c_int), dimension(:) :: a6  ! LONGV
  character(len=*), dimension(:) :: a7  ! STRINGV
  character(len=*), dimension(:) :: a8  ! STRINGV
  character(len=*), intent(in) :: a9  ! STRING
  integer(kind=c_int), intent(inout) :: a10  ! PINT

  call ftitab(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10)
end subroutine ftitab_w

! FCALLSCSUB10(ffitab,FTITABLL,ftitabll,FITSUNIT,LONGLONG,LONGLONG,INT,STRINGV,LONGV,STRINGV,STRINGV,STRING,PINT)
subroutine ftitabll_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_long_long), intent(in), value :: a2  ! LONGLONG
  integer(kind=c_long_long), intent(in), value :: a3  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a4  ! INT
  character(len=*), dimension(:) :: a5  ! STRINGV
  integer(kind=c_int), dimension(:) :: a6  ! LONGV
  character(len=*), dimension(:) :: a7  ! STRINGV
  character(len=*), dimension(:) :: a8  ! STRINGV
  character(len=*), intent(in) :: a9  ! STRING
  integer(kind=c_int), intent(inout) :: a10  ! PINT

  call ftitabll(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10)
end subroutine ftitabll_w

! FCALLSCSUB9(ffibin,FTIBIN,ftibin,FITSUNIT,LONG,INT,STRINGV,STRINGV,STRINGV,STRING,LONG,PINT)
subroutine ftibin_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! INT
  character(len=*), dimension(:), intent(in) :: a4  ! STRINGV
  character(len=*), dimension(:), intent(in) :: a5  ! STRINGV
  character(len=*), dimension(:), intent(in) :: a6  ! STRINGV
  character(len=*), intent(in) :: a7  ! STRING
  integer(kind=c_int), intent(in), value :: a8  ! LONG
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftibin(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftibin_w

! FCALLSCSUB9(ffibin,FTIBINLL,ftibinll,FITSUNIT,LONGLONG,INT,STRINGV,STRINGV,STRINGV,STRING,LONG,PINT)
subroutine ftibinll_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_long_long), intent(in), value :: a2  ! LONGLONG
  integer(kind=c_int), intent(in), value :: a3  ! INT
  character(len=*), dimension(:) :: a4  ! STRINGV
  character(len=*), dimension(:) :: a5  ! STRINGV
  character(len=*), dimension(:) :: a6  ! STRINGV
  character(len=*), intent(in) :: a7  ! STRING
  integer(kind=c_int), intent(in), value :: a8  ! LONG
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftibinll(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftibinll_w

! FCALLSCSUB5(ffrsim,FTRSIM,ftrsim,FITSUNIT,INT,INT,LONGV,PINT)
subroutine ftrsim_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), dimension(:) :: a4  ! LONGV
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftrsim(a1, a2, a3, a4, a5)
end subroutine ftrsim_w

! FCALLSCSUB3(ffdhdu,FTDHDU,ftdhdu,FITSUNIT,PINT,PINT)
subroutine ftdhdu_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PINT
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftdhdu(a1, a2, a3)
end subroutine ftdhdu_w

! FCALLSCSUB4(ffcopy,FTCOPY,ftcopy,FITSUNIT,FITSUNIT,INT,PINT)
subroutine ftcopy_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftcopy(a1, a2, a3, a4)
end subroutine ftcopy_w

! FCALLSCSUB6(ffcpfl,FTCPFL,ftcpfl,FITSUNIT,FITSUNIT,INT,INT,INT,PINT)
subroutine ftcpfl_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(in), value :: a4  ! INT
  integer(kind=c_int), intent(in), value :: a5  ! INT
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftcpfl(a1, a2, a3, a4, a5, a6)
end subroutine ftcpfl_w

! FCALLSCSUB3(ffcphd,FTCPHD,ftcphd,FITSUNIT,FITSUNIT,PINT)
subroutine ftcphd_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftcphd(a1, a2, a3)
end subroutine ftcphd_w

! FCALLSCSUB3(ffcpdt,FTCPDT,ftcpdt,FITSUNIT,FITSUNIT,PINT)
subroutine ftcpdt_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftcpdt(a1, a2, a3)
end subroutine ftcpdt_w

! FCALLSCSUB2(ffchfl,FTCHFL,ftchfl,FITSUNIT,PINT)
subroutine ftchfl_w(a1, a2)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PINT

  call ftchfl(a1, a2)
end subroutine ftchfl_w

! FCALLSCSUB2(ffcdfl,FTCDFL,ftcdfl,FITSUNIT,PINT)
subroutine ftcdfl_w(a1, a2)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PINT

  call ftcdfl(a1, a2)
end subroutine ftcdfl_w

! FCALLSCSUB2(ffrdef,FTRDEF,ftrdef,FITSUNIT,PINT)
subroutine ftrdef_w(a1, a2)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PINT

  call ftrdef(a1, a2)
end subroutine ftrdef_w

! FCALLSCSUB3(ffhdef,FTHDEF,fthdef,FITSUNIT,INT,PINT)
subroutine fthdef_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call fthdef(a1, a2, a3)
end subroutine fthdef_w

! FCALLSCSUB3(ffpthp,FTPTHP,ftpthp,FITSUNIT,LONG,PINT)
subroutine ftpthp_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftpthp(a1, a2, a3)
end subroutine ftpthp_w

! FCALLSCSUB2(ffpcks,FTPCKS,ftpcks,FITSUNIT,PINT)
subroutine ftpcks_w(a1, a2)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PINT

  call ftpcks(a1, a2)
end subroutine ftpcks_w

! FCALLSCSUB4(ffvcks,FTVCKS,ftvcks,FITSUNIT,PINT,PINT,PINT)
subroutine ftvcks_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PINT
  integer(kind=c_int), intent(inout) :: a3  ! PINT
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftvcks(a1, a2, a3, a4)
end subroutine ftvcks_w

! FCALLSCSUB4(Cffgcks,FTGCKS,ftgcks,FITSUNIT,PDOUBLE,PDOUBLE,PINT)
subroutine ftgcks_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  real(kind=c_double), intent(inout) :: a2  ! PDOUBLE
  real(kind=c_double), intent(inout) :: a3  ! PDOUBLE
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftgcks(a1, a2, a3, a4)
end subroutine ftgcks_w

! FCALLSCSUB4(Cffcsum,FTCSUM,ftcsum,FITSUNIT,LONG,PDOUBLE,PINT)
subroutine ftcsum_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  real(kind=c_double), intent(inout) :: a3  ! PDOUBLE
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftcsum(a1, a2, a3, a4)
end subroutine ftcsum_w

! FCALLSCSUB3(Cffesum,FTESUM,ftesum,DOUBLE,LOGICAL,PSTRING)
subroutine ftesum_w(a1, a2, a3)
  real(kind=c_double), intent(in), value :: a1  ! DOUBLE
  integer(kind=c_int), intent(in), value :: a2  ! LOGICAL
  character(len=*), intent(inout) :: a3  ! PSTRING

  call ftesum(a1, a2, a3)
end subroutine ftesum_w

! FCALLSCSUB3(Cffdsum,FTDSUM,ftdsum,PSTRING,LOGICAL,PDOUBLE)
subroutine ftdsum_w(a1, a2, a3)
  character(len=*), intent(inout) :: a1  ! PSTRING
  integer(kind=c_int), intent(in), value :: a2  ! LOGICAL
  real(kind=c_double), intent(inout) :: a3  ! PDOUBLE

  call ftdsum(a1, a2, a3)
end subroutine ftdsum_w

! FCALLSCSUB2(ffupck,FTUPCK,ftupck,FITSUNIT,PINT)
subroutine ftupck_w(a1, a2)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PINT

  call ftupck(a1, a2)
end subroutine ftupck_w

! FCALLSCSUB2(ffupck,FTUCKS,ftucks,FITSUNIT,PINT)
subroutine ftucks_w(a1, a2)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PINT

  call ftucks(a1, a2)
end subroutine ftucks_w

! FCALLSCSUB4(ffpscl,FTPSCL,ftpscl,FITSUNIT,DOUBLE,DOUBLE,PINT)
subroutine ftpscl_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  real(kind=c_double), intent(in), value :: a2  ! DOUBLE
  real(kind=c_double), intent(in), value :: a3  ! DOUBLE
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftpscl(a1, a2, a3, a4)
end subroutine ftpscl_w

! FCALLSCSUB3(ffpnul,FTPNUL,ftpnul,FITSUNIT,LONG,PINT)
subroutine ftpnul_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftpnul(a1, a2, a3)
end subroutine ftpnul_w

! FCALLSCSUB3(ffpnul,FTPNULLL,ftpnulll,FITSUNIT,LONGLONG,PINT)
subroutine ftpnulll_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_long_long), intent(in), value :: a2  ! LONGLONG
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftpnulll(a1, a2, a3)
end subroutine ftpnulll_w

! FCALLSCSUB5(fftscl,FTTSCL,fttscl,FITSUNIT,INT,DOUBLE,DOUBLE,PINT)
subroutine fttscl_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  real(kind=c_double), intent(in), value :: a3  ! DOUBLE
  real(kind=c_double), intent(in), value :: a4  ! DOUBLE
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call fttscl(a1, a2, a3, a4, a5)
end subroutine fttscl_w

! FCALLSCSUB4(fftnul,FTTNUL,fttnul,FITSUNIT,INT,LONG,PINT)
subroutine fttnul_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call fttnul(a1, a2, a3, a4)
end subroutine fttnul_w

! FCALLSCSUB4(ffsnul,FTSNUL,ftsnul,FITSUNIT,INT,STRING,PINT)
subroutine ftsnul_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  character(len=*), intent(in) :: a3  ! STRING
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftsnul(a1, a2, a3, a4)
end subroutine ftsnul_w

! FCALLSCSUB5(ffgcno,FTGCNO,ftgcno,FITSUNIT,LOGICAL,STRING,PINT,PINT)
subroutine ftgcno_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LOGICAL
  character(len=*), intent(in) :: a3  ! STRING
  integer(kind=c_int), intent(inout) :: a4  ! PINT
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftgcno(a1, a2, a3, a4, a5)
end subroutine ftgcno_w

! FCALLSCSUB6(ffgcnn,FTGCNN,ftgcnn,FITSUNIT,LOGICAL,STRING,PSTRING,PINT,PINT)
subroutine ftgcnn_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LOGICAL
  character(len=*), intent(in) :: a3  ! STRING
  character(len=*), intent(inout) :: a4  ! PSTRING
  integer(kind=c_int), intent(inout) :: a5  ! PINT
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftgcnn(a1, a2, a3, a4, a5, a6)
end subroutine ftgcnn_w

! FCALLSCSUB3(ffgnrw,FTGNRW,ftgnrw,FITSUNIT,PLONG,PINT)
subroutine ftgnrw_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PLONG
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftgnrw(a1, a2, a3)
end subroutine ftgnrw_w

! FCALLSCSUB3(ffgnrwll,FTGNRWLL,ftgnrwll,FITSUNIT,PLONGLONG,PINT)
subroutine ftgnrwll_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_long_long), intent(inout) :: a2  ! PLONGLONG
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftgnrwll(a1, a2, a3)
end subroutine ftgnrwll_w

! FCALLSCSUB3(ffgncl,FTGNCL,ftgncl,FITSUNIT,PINT,PINT)
subroutine ftgncl_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PINT
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftgncl(a1, a2, a3)
end subroutine ftgncl_w

! FCALLSCSUB4(ffgcdw,FTGCDW,ftgcdw,FITSUNIT,INT,PINT,PINT)
subroutine ftgcdw_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(inout) :: a3  ! PINT
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftgcdw(a1, a2, a3, a4)
end subroutine ftgcdw_w

! FCALLSCSUB6(ffgtcl,FTGTCL,ftgtcl,FITSUNIT,INT,PINT,PLONG,PLONG,PINT)
subroutine ftgtcl_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(inout) :: a3  ! PINT
  integer(kind=c_int), intent(inout) :: a4  ! PLONG
  integer(kind=c_int), intent(inout) :: a5  ! PLONG
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftgtcl(a1, a2, a3, a4, a5, a6)
end subroutine ftgtcl_w

! FCALLSCSUB6(ffeqty,FTEQTY,fteqty,FITSUNIT,INT,PINT,PLONG,PLONG,PINT)
subroutine fteqty_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(inout) :: a3  ! PINT
  integer(kind=c_int), intent(inout) :: a4  ! PLONG
  integer(kind=c_int), intent(inout) :: a5  ! PLONG
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call fteqty(a1, a2, a3, a4, a5, a6)
end subroutine fteqty_w

! FCALLSCSUB11(ffgacl,FTGACL,ftgacl,FITSUNIT,INT,PSTRING,PLONG,PSTRING,PSTRING,PDOUBLE,PDOUBLE,PSTRING,PSTRING,PINT)
subroutine ftgacl_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  character(len=*), intent(inout) :: a3  ! PSTRING
  integer(kind=c_int), intent(inout) :: a4  ! PLONG
  character(len=*), intent(inout) :: a5  ! PSTRING
  character(len=*), intent(inout) :: a6  ! PSTRING
  real(kind=c_double), intent(inout) :: a7  ! PDOUBLE
  real(kind=c_double), intent(inout) :: a8  ! PDOUBLE
  character(len=*), intent(inout) :: a9  ! PSTRING
  character(len=*), intent(inout) :: a10  ! PSTRING
  integer(kind=c_int), intent(inout) :: a11  ! PINT

  call ftgacl(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
end subroutine ftgacl_w

! FCALLSCSUB11(ffgbcl,FTGBCL,ftgbcl,FITSUNIT,INT,PSTRING,PSTRING,PSTRING,PLONG,PDOUBLE,PDOUBLE,PLONG,PSTRING,PINT)
subroutine ftgbcl_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  character(len=*), intent(inout) :: a3  ! PSTRING
  character(len=*), intent(inout) :: a4  ! PSTRING
  character(len=*), intent(inout) :: a5  ! PSTRING
  integer(kind=c_int), intent(inout) :: a6  ! PLONG
  real(kind=c_double), intent(inout) :: a7  ! PDOUBLE
  real(kind=c_double), intent(inout) :: a8  ! PDOUBLE
  integer(kind=c_int), intent(inout) :: a9  ! PLONG
  character(len=*), intent(inout) :: a10  ! PSTRING
  integer(kind=c_int), intent(inout) :: a11  ! PINT

  call ftgbcl(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
end subroutine ftgbcl_w

! FCALLSCSUB3(ffgrsz,FTGRSZ,ftgrsz,FITSUNIT,PLONG,PINT)
subroutine ftgrsz_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PLONG
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftgrsz(a1, a2, a3)
end subroutine ftgrsz_w

! FCALLSCSUB11(Cffiter,FTITER,ftiter,INT,INTV,INTV,STRINGV,INTV,INTV,LONG,LONG,PVOID,PVOID,PINT)
subroutine ftiter_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
  integer(kind=c_int), intent(in), value :: a1  ! INT
  integer(kind=c_int), dimension(:) :: a2  ! INTV
  integer(kind=c_int), dimension(:) :: a3  ! INTV
  character(len=*), dimension(:) :: a4  ! STRINGV
  integer(kind=c_int), dimension(:) :: a5  ! INTV
  integer(kind=c_int), dimension(:) :: a6  ! INTV
  integer(kind=c_int), intent(in), value :: a7  ! LONG
  integer(kind=c_int), intent(in), value :: a8  ! LONG
  type(c_ptr), intent(inout) :: a9  ! PVOID
  type(c_ptr), intent(inout) :: a10  ! PVOID
  integer(kind=c_int), intent(inout) :: a11  ! PINT

  call ftiter(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
end subroutine ftiter_w

! FCALLSCSUB11(ffgicsa,FTGICSA,ftgicsa,FITSUNIT,BYTE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PSTRING,PINT)
subroutine ftgicsa_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int8_t), intent(in), value :: a2  ! BYTE
  real(kind=c_double), intent(inout) :: a3  ! PDOUBLE
  real(kind=c_double), intent(inout) :: a4  ! PDOUBLE
  real(kind=c_double), intent(inout) :: a5  ! PDOUBLE
  real(kind=c_double), intent(inout) :: a6  ! PDOUBLE
  real(kind=c_double), intent(inout) :: a7  ! PDOUBLE
  real(kind=c_double), intent(inout) :: a8  ! PDOUBLE
  real(kind=c_double), intent(inout) :: a9  ! PDOUBLE
  character(len=*), intent(inout) :: a10  ! PSTRING
  integer(kind=c_int), intent(inout) :: a11  ! PINT

  call ftgicsa(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
end subroutine ftgicsa_w

! FCALLSCSUB12(ffgtcs,FTGTCS,ftgtcs,FITSUNIT,INT,INT,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PSTRING,PINT)
subroutine ftgtcs_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  real(kind=c_double), intent(inout) :: a4  ! PDOUBLE
  real(kind=c_double), intent(inout) :: a5  ! PDOUBLE
  real(kind=c_double), intent(inout) :: a6  ! PDOUBLE
  real(kind=c_double), intent(inout) :: a7  ! PDOUBLE
  real(kind=c_double), intent(inout) :: a8  ! PDOUBLE
  real(kind=c_double), intent(inout) :: a9  ! PDOUBLE
  real(kind=c_double), intent(inout) :: a10  ! PDOUBLE
  character(len=*), intent(inout) :: a11  ! PSTRING
  integer(kind=c_int), intent(inout) :: a12  ! PINT

  call ftgtcs(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12)
end subroutine ftgtcs_w

! FCALLSCSUB13(ffwldp,FTWLDP,ftwldp,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,STRING,PDOUBLE,PDOUBLE,PINT)
subroutine ftwldp_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13)
  real(kind=c_double), intent(in), value :: a1  ! DOUBLE
  real(kind=c_double), intent(in), value :: a2  ! DOUBLE
  real(kind=c_double), intent(in), value :: a3  ! DOUBLE
  real(kind=c_double), intent(in), value :: a4  ! DOUBLE
  real(kind=c_double), intent(in), value :: a5  ! DOUBLE
  real(kind=c_double), intent(in), value :: a6  ! DOUBLE
  real(kind=c_double), intent(in), value :: a7  ! DOUBLE
  real(kind=c_double), intent(in), value :: a8  ! DOUBLE
  real(kind=c_double), intent(in), value :: a9  ! DOUBLE
  character(len=*), intent(in) :: a10  ! STRING
  real(kind=c_double), intent(inout) :: a11  ! PDOUBLE
  real(kind=c_double), intent(inout) :: a12  ! PDOUBLE
  integer(kind=c_int), intent(inout) :: a13  ! PINT

  call ftwldp(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13)
end subroutine ftwldp_w

! FCALLSCSUB13(ffxypx,FTXYPX,ftxypx,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,STRING,PDOUBLE,PDOUBLE,PINT)
subroutine ftxypx_w(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13)
  real(kind=c_double), intent(in), value :: a1  ! DOUBLE
  real(kind=c_double), intent(in), value :: a2  ! DOUBLE
  real(kind=c_double), intent(in), value :: a3  ! DOUBLE
  real(kind=c_double), intent(in), value :: a4  ! DOUBLE
  real(kind=c_double), intent(in), value :: a5  ! DOUBLE
  real(kind=c_double), intent(in), value :: a6  ! DOUBLE
  real(kind=c_double), intent(in), value :: a7  ! DOUBLE
  real(kind=c_double), intent(in), value :: a8  ! DOUBLE
  real(kind=c_double), intent(in), value :: a9  ! DOUBLE
  character(len=*), intent(in) :: a10  ! STRING
  real(kind=c_double), intent(inout) :: a11  ! PDOUBLE
  real(kind=c_double), intent(inout) :: a12  ! PDOUBLE
  integer(kind=c_int), intent(inout) :: a13  ! PINT

  call ftxypx(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13)
end subroutine ftxypx_w

! FCALLSCSUB3(ffs2c,FTS2C,fts2c,STRING,PSTRING,PINT)
subroutine fts2c_w(a1, a2, a3)
  character(len=*), intent(in) :: a1  ! STRING
  character(len=*), intent(inout) :: a2  ! PSTRING
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call fts2c(a1, a2, a3)
end subroutine fts2c_w

! FCALLSCSUB3(ffc2ii,FTC2II,ftc2ii,STRING,PLONG,PINT)
subroutine ftc2ii_w(a1, a2, a3)
  character(len=*), intent(in) :: a1  ! STRING
  integer(kind=c_int), intent(inout) :: a2  ! PLONG
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftc2ii(a1, a2, a3)
end subroutine ftc2ii_w

! FCALLSCSUB3(ffc2ll,FTC2LL,ftc2ll,STRING,PINT,PINT)
subroutine ftc2ll_w(a1, a2, a3)
  character(len=*), intent(in) :: a1  ! STRING
  integer(kind=c_int), intent(inout) :: a2  ! PINT
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftc2ll(a1, a2, a3)
end subroutine ftc2ll_w

! FCALLSCSUB3(ffc2rr,FTC2RR,ftc2rr,STRING,PFLOAT,PINT)
subroutine ftc2rr_w(a1, a2, a3)
  character(len=*), intent(in) :: a1  ! STRING
  real(kind=c_float), intent(inout) :: a2  ! PFLOAT
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftc2rr(a1, a2, a3)
end subroutine ftc2rr_w

! FCALLSCSUB3(ffc2dd,FTC2DD,ftc2dd,STRING,PDOUBLE,PINT)
subroutine ftc2dd_w(a1, a2, a3)
  character(len=*), intent(in) :: a1  ! STRING
  real(kind=c_double), intent(inout) :: a2  ! PDOUBLE
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftc2dd(a1, a2, a3)
end subroutine ftc2dd_w

! FCALLSCSUB7(ffc2x,FTC2X,ftc2x,STRING,PSTRING,PLONG,PINT,PSTRING,PDOUBLE,PINT)
subroutine ftc2x_w(a1, a2, a3, a4, a5, a6, a7)
  character(len=*), intent(in) :: a1  ! STRING
  character(len=*), intent(inout) :: a2  ! PSTRING
  integer(kind=c_int), intent(inout) :: a3  ! PLONG
  integer(kind=c_int), intent(inout) :: a4  ! PINT
  character(len=*), intent(inout) :: a5  ! PSTRING
  real(kind=c_double), intent(inout) :: a6  ! PDOUBLE
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftc2x(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftc2x_w

! FCALLSCSUB3(ffc2s,FTC2S,ftc2s,STRING,PSTRING,PINT)
subroutine ftc2s_w(a1, a2, a3)
  character(len=*), intent(in) :: a1  ! STRING
  character(len=*), intent(inout) :: a2  ! PSTRING
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftc2s(a1, a2, a3)
end subroutine ftc2s_w

! FCALLSCSUB3(ffc2i,FTC2I,ftc2i,STRING,PLONG,PINT)
subroutine ftc2i_w(a1, a2, a3)
  character(len=*), intent(in) :: a1  ! STRING
  integer(kind=c_int), intent(inout) :: a2  ! PLONG
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftc2i(a1, a2, a3)
end subroutine ftc2i_w

! FCALLSCSUB3(ffc2r,FTC2R,ftc2r,STRING,PFLOAT,PINT)
subroutine ftc2r_w(a1, a2, a3)
  character(len=*), intent(in) :: a1  ! STRING
  real(kind=c_float), intent(inout) :: a2  ! PFLOAT
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftc2r(a1, a2, a3)
end subroutine ftc2r_w

! FCALLSCSUB3(ffc2d,FTC2D,ftc2d,STRING,PDOUBLE,PINT)
subroutine ftc2d_w(a1, a2, a3)
  character(len=*), intent(in) :: a1  ! STRING
  real(kind=c_double), intent(inout) :: a2  ! PDOUBLE
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftc2d(a1, a2, a3)
end subroutine ftc2d_w

! FCALLSCSUB3(ffc2l,FTC2L,ftc2l,STRING,PINT,PINT)
subroutine ftc2l_w(a1, a2, a3)
  character(len=*), intent(in) :: a1  ! STRING
  integer(kind=c_int), intent(inout) :: a2  ! PINT
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftc2l(a1, a2, a3)
end subroutine ftc2l_w

! FCALLSCSUB4(ffgbyt,FTGCBF,ftgcbf,FITSUNIT,LONG,PVOID,PINT)
subroutine ftgcbf_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  type(c_ptr), intent(inout) :: a3  ! PVOID
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftgcbf(a1, a2, a3, a4)
end subroutine ftgcbf_w

! FCALLSCSUB4(ffgbyt,FTGBYT,ftgbyt,FITSUNIT,LONG,PVOID,PINT)
subroutine ftgbyt_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  type(c_ptr), intent(inout) :: a3  ! PVOID
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftgbyt(a1, a2, a3, a4)
end subroutine ftgbyt_w

! FCALLSCSUB4(ffpbyt,FTPCBF,ftpcbf,FITSUNIT,LONG,PVOID,PINT)
subroutine ftpcbf_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  type(c_ptr), intent(inout) :: a3  ! PVOID
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftpcbf(a1, a2, a3, a4)
end subroutine ftpcbf_w

! FCALLSCSUB4(ffpbyt,FTPBYT,ftpbyt,FITSUNIT,LONG,PVOID,PINT)
subroutine ftpbyt_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  type(c_ptr), intent(inout) :: a3  ! PVOID
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftpbyt(a1, a2, a3, a4)
end subroutine ftpbyt_w

! FCALLSCSUB3(Cffcrep,FTCREP,ftcrep,STRING,PSTRING,PLOGICAL)
subroutine ftcrep_w(a1, a2, a3)
  character(len=*), intent(in) :: a1  ! STRING
  character(len=*), intent(inout) :: a2  ! PSTRING
  integer(kind=c_int), intent(inout) :: a3  ! PLOGICAL

  call ftcrep(a1, a2, a3)
end subroutine ftcrep_w

! FCALLSCFUN1(LOGICAL,Cfnan,FTTRNN,fttrnn,PFLOAT)
function fttrnn_w(a1)
  integer(kind=c_int) :: fttrnn_w  ! LOGICAL
  real(kind=c_float), intent(inout) :: a1  ! PFLOAT
  integer(kind=c_int) :: fttrnn  ! LOGICAL

  fttrnn_w = fttrnn(a1)
end function fttrnn_w

! FCALLSCFUN1(LOGICAL,Cdnan,FTTDNN,fttdnn,PDOUBLE)
function fttdnn_w(a1)
  integer(kind=c_int) :: fttdnn_w  ! LOGICAL
  real(kind=c_double), intent(inout) :: a1  ! PDOUBLE
  integer(kind=c_int) :: fttdnn  ! LOGICAL

  fttdnn_w = fttdnn(a1)
end function fttdnn_w

! FCALLSCSUB0(Cffempty,FTPDEF,ftpdef)
subroutine ftpdef_w()

  call ftpdef()
end subroutine ftpdef_w

! FCALLSCSUB0(Cffempty,FTBDEF,ftbdef)
subroutine ftbdef_w()

  call ftbdef()
end subroutine ftbdef_w

! FCALLSCSUB0(Cffempty,FTADEF,ftadef)
subroutine ftadef_w()

  call ftadef()
end subroutine ftadef_w

! FCALLSCSUB0(Cffempty,FTDDEF,ftddef)
subroutine ftddef_w()

  call ftddef()
end subroutine ftddef_w

! FCALLSCSUB8(fftexp,FTTEXP,fttexp,FITSUNIT,STRING,INT,PINT,PLONG,PINT,LONGV,PINT)
subroutine fttexp_w(a1, a2, a3, a4, a5, a6, a7, a8)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(inout) :: a4  ! PINT
  integer(kind=c_int), intent(inout) :: a5  ! PLONG
  integer(kind=c_int), intent(inout) :: a6  ! PINT
  integer(kind=c_int), dimension(:) :: a7  ! LONGV
  integer(kind=c_int), intent(inout) :: a8  ! PINT

  call fttexp(a1, a2, a3, a4, a5, a6, a7, a8)
end subroutine fttexp_w

! FCALLSCSUB7(fffrow,FTFROW,ftfrow,FITSUNIT,STRING,LONG,LONG,PLONG,LOGICALV,PINT)
subroutine ftfrow_w(a1, a2, a3, a4, a5, a6, a7)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(inout) :: a5  ! PLONG
  integer(kind=c_int), dimension(:) :: a6  ! LOGICALV
  integer(kind=c_int), intent(inout) :: a7  ! PINT

  call ftfrow(a1, a2, a3, a4, a5, a6, a7)
end subroutine ftfrow_w

! FCALLSCSUB9(fffrwc,FTFRWC,ftfrwc,FITSUNIT,STRING,STRING,STRING,STRING,LONG,DOUBLEV,LOGICALV,PINT)
subroutine ftfrwc_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  character(len=*), intent(in) :: a3  ! STRING
  character(len=*), intent(in) :: a4  ! STRING
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(in), value :: a6  ! LONG
  real(kind=c_double), dimension(:) :: a7  ! DOUBLEV
  integer(kind=c_int), dimension(:) :: a8  ! LOGICALV
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftfrwc(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftfrwc_w

! FCALLSCSUB4(ffffrw,FTFFRW,ftffrw,FITSUNIT,STRING,PLONG,PINT)
subroutine ftffrw_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(inout) :: a3  ! PLONG
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftffrw(a1, a2, a3, a4)
end subroutine ftffrw_w

! FCALLSCSUB4(ffsrow,FTSROW,ftsrow,FITSUNIT,FITSUNIT,STRING,PINT)
subroutine ftsrow_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! FITSUNIT
  character(len=*), intent(in) :: a3  ! STRING
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftsrow(a1, a2, a3, a4)
end subroutine ftsrow_w

! FCALLSCSUB9(ffcrow,FTCROW,ftcrow,FITSUNIT,INT,STRING,LONG,LONG,PVOID,PVOID,PLOGICAL,PINT)
subroutine ftcrow_w(a1, a2, a3, a4, a5, a6, a7, a8, a9)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  character(len=*), intent(in) :: a3  ! STRING
  integer(kind=c_int), intent(in), value :: a4  ! LONG
  integer(kind=c_int), intent(in), value :: a5  ! LONG
  type(c_ptr), intent(inout) :: a6  ! PVOID
  type(c_ptr), intent(inout) :: a7  ! PVOID
  integer(kind=c_int), intent(inout) :: a8  ! PLOGICAL
  integer(kind=c_int), intent(inout) :: a9  ! PINT

  call ftcrow(a1, a2, a3, a4, a5, a6, a7, a8, a9)
end subroutine ftcrow_w

! FCALLSCSUB6(ffcalc,FTCALC,ftcalc,FITSUNIT,STRING,FITSUNIT,STRING,STRING,PINT)
subroutine ftcalc_w(a1, a2, a3, a4, a5, a6)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! FITSUNIT
  character(len=*), intent(in) :: a4  ! STRING
  character(len=*), intent(in) :: a5  ! STRING
  integer(kind=c_int), intent(inout) :: a6  ! PINT

  call ftcalc(a1, a2, a3, a4, a5, a6)
end subroutine ftcalc_w

! FCALLSCSUB4(ffgtcr,FTGTCR,ftgtcr,FITSUNIT,STRING,INT,PINT)
subroutine ftgtcr_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftgtcr(a1, a2, a3, a4)
end subroutine ftgtcr_w

! FCALLSCSUB4(ffgtis,FTGTIS,ftgtis,FITSUNIT,STRING,INT,PINT)
subroutine ftgtis_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  character(len=*), intent(in) :: a2  ! STRING
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftgtis(a1, a2, a3, a4)
end subroutine ftgtis_w

! FCALLSCSUB3(ffgtch,FTGTCH,ftgtch,FITSUNIT,INT,PINT)
subroutine ftgtch_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftgtch(a1, a2, a3)
end subroutine ftgtch_w

! FCALLSCSUB3(ffgtrm,FTGTRM,ftgtrm,FITSUNIT,INT,PINT)
subroutine ftgtrm_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftgtrm(a1, a2, a3)
end subroutine ftgtrm_w

! FCALLSCSUB4(ffgtcp,FTGTCP,ftgtcp,FITSUNIT,FITSUNIT,INT,PINT)
subroutine ftgtcp_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftgtcp(a1, a2, a3, a4)
end subroutine ftgtcp_w

! FCALLSCSUB4(ffgtmg,FTGTMG,ftgtmg,FITSUNIT,FITSUNIT,INT,PINT)
subroutine ftgtmg_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftgtmg(a1, a2, a3, a4)
end subroutine ftgtmg_w

! FCALLSCSUB3(ffgtcm,FTGTCM,ftgtcm,FITSUNIT,INT,PINT)
subroutine ftgtcm_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftgtcm(a1, a2, a3)
end subroutine ftgtcm_w

! FCALLSCSUB3(ffgtvf,FTGTVF,ftgtvf,FITSUNIT,PLONG,PINT)
subroutine ftgtvf_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PLONG
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftgtvf(a1, a2, a3)
end subroutine ftgtvf_w

! FCALLSCSUB4(ffgtop,FTGTOP,ftgtop,FITSUNIT,INT,PFITSUNIT,PINT)
subroutine ftgtop_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! INT
  integer(kind=c_int), intent(inout) :: a3  ! PFITSUNIT
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftgtop(a1, a2, a3, a4)
end subroutine ftgtop_w

! FCALLSCSUB4(ffgtam,FTGTAM,ftgtam,FITSUNIT,FITSUNIT,INT,PINT)
subroutine ftgtam_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftgtam(a1, a2, a3, a4)
end subroutine ftgtam_w

! FCALLSCSUB3(ffgtnm,FTGTNM,ftgtnm,FITSUNIT,PLONG,PINT)
subroutine ftgtnm_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PLONG
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftgtnm(a1, a2, a3)
end subroutine ftgtnm_w

! FCALLSCSUB3(ffgmng,FTGMNG,ftgmng,FITSUNIT,PLONG,PINT)
subroutine ftgmng_w(a1, a2, a3)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(inout) :: a2  ! PLONG
  integer(kind=c_int), intent(inout) :: a3  ! PINT

  call ftgmng(a1, a2, a3)
end subroutine ftgmng_w

! FCALLSCSUB4(ffgmop,FTGMOP,ftgmop,FITSUNIT,LONG,PFITSUNIT,PINT)
subroutine ftgmop_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(inout) :: a3  ! PFITSUNIT
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftgmop(a1, a2, a3, a4)
end subroutine ftgmop_w

! FCALLSCSUB5(ffgmcp,FTGMCP,ftgmcp,FITSUNIT,FITSUNIT,LONG,INT,PINT)
subroutine ftgmcp_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! INT
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftgmcp(a1, a2, a3, a4, a5)
end subroutine ftgmcp_w

! FCALLSCSUB5(ffgmtf,FTGMTF,ftgmtf,FITSUNIT,FITSUNIT,LONG,INT,PINT)
subroutine ftgmtf_w(a1, a2, a3, a4, a5)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a3  ! LONG
  integer(kind=c_int), intent(in), value :: a4  ! INT
  integer(kind=c_int), intent(inout) :: a5  ! PINT

  call ftgmtf(a1, a2, a3, a4, a5)
end subroutine ftgmtf_w

! FCALLSCSUB4(ffgmrm,FTGMRM,ftgmrm,FITSUNIT,LONG,INT,PINT)
subroutine ftgmrm_w(a1, a2, a3, a4)
  integer(kind=c_int), intent(in), value :: a1  ! FITSUNIT
  integer(kind=c_int), intent(in), value :: a2  ! LONG
  integer(kind=c_int), intent(in), value :: a3  ! INT
  integer(kind=c_int), intent(inout) :: a4  ! PINT

  call ftgmrm(a1, a2, a3, a4)
end subroutine ftgmrm_w


end module srctool_generic_fitsraw
